// This file was automatically generated by bifcl from /home/repoman/rpmbuild/BUILD/zeek-4.0.1/src/analyzer/protocol/gnutella/events.bif (plugin mode).


#include "events.bif.h"
#include "Func.h"

zeek::EventHandlerPtr gnutella_text_msg; 
void BifEvent::generate_gnutella_text_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, zeek::StringVal* headers)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_text_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_text_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_text_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, headers},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_text_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, zeek::IntrusivePtr<zeek::StringVal> headers)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_text_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_text_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_text_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        std::move(headers),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr gnutella_binary_msg; 
void BifEvent::generate_gnutella_binary_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, bro_uint_t msg_type, bro_uint_t ttl, bro_uint_t hops, bro_uint_t msg_len, zeek::StringVal* payload, bro_uint_t payload_len, int trunc, int complete)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_binary_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_binary_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_binary_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::val_mgr->Count(msg_type),
	        zeek::val_mgr->Count(ttl),
	        zeek::val_mgr->Count(hops),
	        zeek::val_mgr->Count(msg_len),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, payload},
	        zeek::val_mgr->Count(payload_len),
	        zeek::val_mgr->Bool(trunc),
	        zeek::val_mgr->Bool(complete),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_binary_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, bro_uint_t msg_type, bro_uint_t ttl, bro_uint_t hops, bro_uint_t msg_len, zeek::IntrusivePtr<zeek::StringVal> payload, bro_uint_t payload_len, int trunc, int complete)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_binary_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_binary_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_binary_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::val_mgr->Count(msg_type),
	        zeek::val_mgr->Count(ttl),
	        zeek::val_mgr->Count(hops),
	        zeek::val_mgr->Count(msg_len),
	        std::move(payload),
	        zeek::val_mgr->Count(payload_len),
	        zeek::val_mgr->Bool(trunc),
	        zeek::val_mgr->Bool(complete),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr gnutella_partial_binary_msg; 
void BifEvent::generate_gnutella_partial_binary_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, zeek::StringVal* msg, bro_uint_t len)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_partial_binary_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_partial_binary_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_partial_binary_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, msg},
	        zeek::val_mgr->Count(len),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_partial_binary_msg(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, zeek::IntrusivePtr<zeek::StringVal> msg, bro_uint_t len)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_partial_binary_msg is NULL, which should happen *before*
	// BifEvent::generate_gnutella_partial_binary_msg is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_partial_binary_msg, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        std::move(msg),
	        zeek::val_mgr->Count(len),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr gnutella_establish; 
void BifEvent::generate_gnutella_establish(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_establish is NULL, which should happen *before*
	// BifEvent::generate_gnutella_establish is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_establish, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_establish(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_establish is NULL, which should happen *before*
	// BifEvent::generate_gnutella_establish is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_establish, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr gnutella_not_establish; 
void BifEvent::generate_gnutella_not_establish(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_not_establish is NULL, which should happen *before*
	// BifEvent::generate_gnutella_not_establish is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_not_establish, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_not_establish(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_not_establish is NULL, which should happen *before*
	// BifEvent::generate_gnutella_not_establish is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_not_establish, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr gnutella_http_notify; 
void BifEvent::generate_gnutella_http_notify(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_http_notify is NULL, which should happen *before*
	// BifEvent::generate_gnutella_http_notify is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_http_notify, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_gnutella_http_notify(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c)
	{
	// Note that it is intentional that here we do not
	// check if ::gnutella_http_notify is NULL, which should happen *before*
	// BifEvent::generate_gnutella_http_notify is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::gnutella_http_notify, zeek::Args{
	        c->ConnVal(),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

