// This file was automatically generated by bifcl from /home/repoman/rpmbuild/BUILD/zeek-4.0.1/src/analyzer/protocol/ssh/events.bif (plugin mode).


#include "events.bif.h"
#include "Func.h"

zeek::EventHandlerPtr ssh_server_version; 
void BifEvent::generate_ssh_server_version(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* version)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_server_version is NULL, which should happen *before*
	// BifEvent::generate_ssh_server_version is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_server_version, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, version},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_server_version(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> version)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_server_version is NULL, which should happen *before*
	// BifEvent::generate_ssh_server_version is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_server_version, zeek::Args{
	        c->ConnVal(),
	        std::move(version),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh_client_version; 
void BifEvent::generate_ssh_client_version(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* version)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_client_version is NULL, which should happen *before*
	// BifEvent::generate_ssh_client_version is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_client_version, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, version},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_client_version(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> version)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_client_version is NULL, which should happen *before*
	// BifEvent::generate_ssh_client_version is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_client_version, zeek::Args{
	        c->ConnVal(),
	        std::move(version),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh_auth_successful; 
void BifEvent::generate_ssh_auth_successful(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int auth_method_none)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_auth_successful is NULL, which should happen *before*
	// BifEvent::generate_ssh_auth_successful is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_auth_successful, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(auth_method_none),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_auth_successful(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int auth_method_none)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_auth_successful is NULL, which should happen *before*
	// BifEvent::generate_ssh_auth_successful is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_auth_successful, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(auth_method_none),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh_auth_attempted; 
void BifEvent::generate_ssh_auth_attempted(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int authenticated)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_auth_attempted is NULL, which should happen *before*
	// BifEvent::generate_ssh_auth_attempted is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_auth_attempted, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(authenticated),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_auth_attempted(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int authenticated)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_auth_attempted is NULL, which should happen *before*
	// BifEvent::generate_ssh_auth_attempted is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_auth_attempted, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(authenticated),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh_capabilities; 
void BifEvent::generate_ssh_capabilities(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* cookie, zeek::Val* capabilities)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_capabilities is NULL, which should happen *before*
	// BifEvent::generate_ssh_capabilities is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_capabilities, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, cookie},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, capabilities},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_capabilities(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> cookie, zeek::IntrusivePtr<zeek::Val> capabilities)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_capabilities is NULL, which should happen *before*
	// BifEvent::generate_ssh_capabilities is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_capabilities, zeek::Args{
	        c->ConnVal(),
	        std::move(cookie),
	        std::move(capabilities),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh2_server_host_key; 
void BifEvent::generate_ssh2_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* key)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh2_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_server_host_key, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, key},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh2_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> key)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh2_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_server_host_key, zeek::Args{
	        c->ConnVal(),
	        std::move(key),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh1_server_host_key; 
void BifEvent::generate_ssh1_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* p, zeek::StringVal* e, zeek::StringVal* modulus, zeek::StringVal* exponent)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh1_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh1_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh1_server_host_key, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, p},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, e},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, modulus},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, exponent},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh1_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> p, zeek::IntrusivePtr<zeek::StringVal> e, zeek::IntrusivePtr<zeek::StringVal> modulus, zeek::IntrusivePtr<zeek::StringVal> exponent)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh1_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh1_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh1_server_host_key, zeek::Args{
	        c->ConnVal(),
	        std::move(p),
	        std::move(e),
	        std::move(modulus),
	        std::move(exponent),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

 zeek::EventHandlerPtr ssh_server_host_key; 
void BifEvent::generate_ssh_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* hash)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_server_host_key, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, hash},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_server_host_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> hash)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_server_host_key is NULL, which should happen *before*
	// BifEvent::generate_ssh_server_host_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_server_host_key, zeek::Args{
	        c->ConnVal(),
	        std::move(hash),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh_encrypted_packet; 
void BifEvent::generate_ssh_encrypted_packet(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, bro_uint_t len)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_encrypted_packet is NULL, which should happen *before*
	// BifEvent::generate_ssh_encrypted_packet is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_encrypted_packet, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::val_mgr->Count(len),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh_encrypted_packet(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int orig, bro_uint_t len)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh_encrypted_packet is NULL, which should happen *before*
	// BifEvent::generate_ssh_encrypted_packet is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh_encrypted_packet, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(orig),
	        zeek::val_mgr->Count(len),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh2_dh_server_params; 
void BifEvent::generate_ssh2_dh_server_params(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::StringVal* p, zeek::StringVal* q)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_dh_server_params is NULL, which should happen *before*
	// BifEvent::generate_ssh2_dh_server_params is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_dh_server_params, zeek::Args{
	        c->ConnVal(),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, p},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, q},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh2_dh_server_params(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, zeek::IntrusivePtr<zeek::StringVal> p, zeek::IntrusivePtr<zeek::StringVal> q)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_dh_server_params is NULL, which should happen *before*
	// BifEvent::generate_ssh2_dh_server_params is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_dh_server_params, zeek::Args{
	        c->ConnVal(),
	        std::move(p),
	        std::move(q),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh2_gss_error; 
void BifEvent::generate_ssh2_gss_error(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, bro_uint_t major_status, bro_uint_t minor_status, zeek::StringVal* err_msg)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_gss_error is NULL, which should happen *before*
	// BifEvent::generate_ssh2_gss_error is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_gss_error, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Count(major_status),
	        zeek::val_mgr->Count(minor_status),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, err_msg},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh2_gss_error(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, bro_uint_t major_status, bro_uint_t minor_status, zeek::IntrusivePtr<zeek::StringVal> err_msg)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_gss_error is NULL, which should happen *before*
	// BifEvent::generate_ssh2_gss_error is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_gss_error, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Count(major_status),
	        zeek::val_mgr->Count(minor_status),
	        std::move(err_msg),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

zeek::EventHandlerPtr ssh2_ecc_key; 
void BifEvent::generate_ssh2_ecc_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int is_orig, zeek::StringVal* q)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_ecc_key is NULL, which should happen *before*
	// BifEvent::generate_ssh2_ecc_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_ecc_key, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(is_orig),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, q},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

void zeek::BifEvent::enqueue_ssh2_ecc_key(zeek::analyzer::Analyzer* analyzer, zeek::Connection* c, int is_orig, zeek::IntrusivePtr<zeek::StringVal> q)
	{
	// Note that it is intentional that here we do not
	// check if ::ssh2_ecc_key is NULL, which should happen *before*
	// BifEvent::generate_ssh2_ecc_key is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ssh2_ecc_key, zeek::Args{
	        c->ConnVal(),
	        zeek::val_mgr->Bool(is_orig),
	        std::move(q),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID(), c);
	}

