// This file was automatically generated by bifcl from /home/repoman/rpmbuild/BUILD/zeek-4.0.1/src/file_analysis/analyzer/x509/events.bif (plugin mode).


#include "events.bif.h"
#include "Func.h"

zeek::EventHandlerPtr x509_certificate; 
void BifEvent::generate_x509_certificate(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::Val* cert_ref, zeek::Val* cert)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_certificate is NULL, which should happen *before*
	// BifEvent::generate_x509_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_certificate, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, cert_ref},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, cert},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_x509_certificate(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::Val> cert_ref, zeek::IntrusivePtr<zeek::Val> cert)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_certificate is NULL, which should happen *before*
	// BifEvent::generate_x509_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_certificate, zeek::Args{
	        std::move(f),
	        std::move(cert_ref),
	        std::move(cert),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr x509_extension; 
void BifEvent::generate_x509_extension(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::Val* ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_extension is NULL, which should happen *before*
	// BifEvent::generate_x509_extension is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_extension, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, ext},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_x509_extension(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::Val> ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_extension is NULL, which should happen *before*
	// BifEvent::generate_x509_extension is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_extension, zeek::Args{
	        std::move(f),
	        std::move(ext),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr x509_ext_basic_constraints; 
void BifEvent::generate_x509_ext_basic_constraints(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::Val* ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ext_basic_constraints is NULL, which should happen *before*
	// BifEvent::generate_x509_ext_basic_constraints is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ext_basic_constraints, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, ext},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_x509_ext_basic_constraints(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::Val> ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ext_basic_constraints is NULL, which should happen *before*
	// BifEvent::generate_x509_ext_basic_constraints is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ext_basic_constraints, zeek::Args{
	        std::move(f),
	        std::move(ext),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr x509_ext_subject_alternative_name; 
void BifEvent::generate_x509_ext_subject_alternative_name(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::Val* ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ext_subject_alternative_name is NULL, which should happen *before*
	// BifEvent::generate_x509_ext_subject_alternative_name is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ext_subject_alternative_name, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, ext},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_x509_ext_subject_alternative_name(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::Val> ext)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ext_subject_alternative_name is NULL, which should happen *before*
	// BifEvent::generate_x509_ext_subject_alternative_name is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ext_subject_alternative_name, zeek::Args{
	        std::move(f),
	        std::move(ext),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr x509_ocsp_ext_signed_certificate_timestamp; 
void BifEvent::generate_x509_ocsp_ext_signed_certificate_timestamp(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, bro_uint_t version, zeek::StringVal* logid, bro_uint_t timestamp, bro_uint_t hash_algorithm, bro_uint_t signature_algorithm, zeek::StringVal* signature)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ocsp_ext_signed_certificate_timestamp is NULL, which should happen *before*
	// BifEvent::generate_x509_ocsp_ext_signed_certificate_timestamp is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ocsp_ext_signed_certificate_timestamp, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::val_mgr->Count(version),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, logid},
	        zeek::val_mgr->Count(timestamp),
	        zeek::val_mgr->Count(hash_algorithm),
	        zeek::val_mgr->Count(signature_algorithm),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, signature},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_x509_ocsp_ext_signed_certificate_timestamp(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, bro_uint_t version, zeek::IntrusivePtr<zeek::StringVal> logid, bro_uint_t timestamp, bro_uint_t hash_algorithm, bro_uint_t signature_algorithm, zeek::IntrusivePtr<zeek::StringVal> signature)
	{
	// Note that it is intentional that here we do not
	// check if ::x509_ocsp_ext_signed_certificate_timestamp is NULL, which should happen *before*
	// BifEvent::generate_x509_ocsp_ext_signed_certificate_timestamp is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::x509_ocsp_ext_signed_certificate_timestamp, zeek::Args{
	        std::move(f),
	        zeek::val_mgr->Count(version),
	        std::move(logid),
	        zeek::val_mgr->Count(timestamp),
	        zeek::val_mgr->Count(hash_algorithm),
	        zeek::val_mgr->Count(signature_algorithm),
	        std::move(signature),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

