// This file was automatically generated by bifcl from /home/repoman/rpmbuild/BUILD/zeek-4.0.1/src/file_analysis/analyzer/x509/ocsp_events.bif (plugin mode).


#include "ocsp_events.bif.h"
#include "Func.h"

zeek::EventHandlerPtr ocsp_request; 
void BifEvent::generate_ocsp_request(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, bro_uint_t version)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_request is NULL, which should happen *before*
	// BifEvent::generate_ocsp_request is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_request, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::val_mgr->Count(version),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_request(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, bro_uint_t version)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_request is NULL, which should happen *before*
	// BifEvent::generate_ocsp_request is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_request, zeek::Args{
	        std::move(f),
	        zeek::val_mgr->Count(version),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr ocsp_request_certificate; 
void BifEvent::generate_ocsp_request_certificate(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::StringVal* hashAlgorithm, zeek::StringVal* issuerNameHash, zeek::StringVal* issuerKeyHash, zeek::StringVal* serialNumber)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_request_certificate is NULL, which should happen *before*
	// BifEvent::generate_ocsp_request_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_request_certificate, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, hashAlgorithm},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, issuerNameHash},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, issuerKeyHash},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, serialNumber},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_request_certificate(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::StringVal> hashAlgorithm, zeek::IntrusivePtr<zeek::StringVal> issuerNameHash, zeek::IntrusivePtr<zeek::StringVal> issuerKeyHash, zeek::IntrusivePtr<zeek::StringVal> serialNumber)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_request_certificate is NULL, which should happen *before*
	// BifEvent::generate_ocsp_request_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_request_certificate, zeek::Args{
	        std::move(f),
	        std::move(hashAlgorithm),
	        std::move(issuerNameHash),
	        std::move(issuerKeyHash),
	        std::move(serialNumber),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr ocsp_response_status; 
void BifEvent::generate_ocsp_response_status(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::StringVal* status)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_status is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_status is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_status, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, status},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_response_status(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::StringVal> status)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_status is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_status is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_status, zeek::Args{
	        std::move(f),
	        std::move(status),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr ocsp_response_bytes; 
void BifEvent::generate_ocsp_response_bytes(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::StringVal* status, bro_uint_t version, zeek::StringVal* responderId, double producedAt, zeek::StringVal* signatureAlgorithm, zeek::Val* certs)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_bytes is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_bytes is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_bytes, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, status},
	        zeek::val_mgr->Count(version),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, responderId},
	        zeek::make_intrusive<zeek::TimeVal>(producedAt),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, signatureAlgorithm},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, certs},
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_response_bytes(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::StringVal> status, bro_uint_t version, zeek::IntrusivePtr<zeek::StringVal> responderId, double producedAt, zeek::IntrusivePtr<zeek::StringVal> signatureAlgorithm, zeek::IntrusivePtr<zeek::Val> certs)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_bytes is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_bytes is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_bytes, zeek::Args{
	        std::move(f),
	        std::move(status),
	        zeek::val_mgr->Count(version),
	        std::move(responderId),
	        zeek::make_intrusive<zeek::TimeVal>(producedAt),
	        std::move(signatureAlgorithm),
	        std::move(certs),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr ocsp_response_certificate; 
void BifEvent::generate_ocsp_response_certificate(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::StringVal* hashAlgorithm, zeek::StringVal* issuerNameHash, zeek::StringVal* issuerKeyHash, zeek::StringVal* serialNumber, zeek::StringVal* certStatus, double revokeTime, zeek::StringVal* revokeReason, double thisUpdate, double nextUpdate)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_certificate is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_certificate, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, hashAlgorithm},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, issuerNameHash},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, issuerKeyHash},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, serialNumber},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, certStatus},
	        zeek::make_intrusive<zeek::TimeVal>(revokeTime),
	        zeek::IntrusivePtr{zeek::AdoptRef{}, revokeReason},
	        zeek::make_intrusive<zeek::TimeVal>(thisUpdate),
	        zeek::make_intrusive<zeek::TimeVal>(nextUpdate),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_response_certificate(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::StringVal> hashAlgorithm, zeek::IntrusivePtr<zeek::StringVal> issuerNameHash, zeek::IntrusivePtr<zeek::StringVal> issuerKeyHash, zeek::IntrusivePtr<zeek::StringVal> serialNumber, zeek::IntrusivePtr<zeek::StringVal> certStatus, double revokeTime, zeek::IntrusivePtr<zeek::StringVal> revokeReason, double thisUpdate, double nextUpdate)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_response_certificate is NULL, which should happen *before*
	// BifEvent::generate_ocsp_response_certificate is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_response_certificate, zeek::Args{
	        std::move(f),
	        std::move(hashAlgorithm),
	        std::move(issuerNameHash),
	        std::move(issuerKeyHash),
	        std::move(serialNumber),
	        std::move(certStatus),
	        zeek::make_intrusive<zeek::TimeVal>(revokeTime),
	        std::move(revokeReason),
	        zeek::make_intrusive<zeek::TimeVal>(thisUpdate),
	        zeek::make_intrusive<zeek::TimeVal>(nextUpdate),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

zeek::EventHandlerPtr ocsp_extension; 
void BifEvent::generate_ocsp_extension(zeek::analyzer::Analyzer* analyzer, zeek::Val* f, zeek::Val* ext, int global_resp)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_extension is NULL, which should happen *before*
	// BifEvent::generate_ocsp_extension is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_extension, zeek::Args{
	        zeek::IntrusivePtr{zeek::AdoptRef{}, f},
	        zeek::IntrusivePtr{zeek::AdoptRef{}, ext},
	        zeek::val_mgr->Bool(global_resp),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

void zeek::BifEvent::enqueue_ocsp_extension(zeek::analyzer::Analyzer* analyzer, zeek::IntrusivePtr<zeek::Val> f, zeek::IntrusivePtr<zeek::Val> ext, int global_resp)
	{
	// Note that it is intentional that here we do not
	// check if ::ocsp_extension is NULL, which should happen *before*
	// BifEvent::generate_ocsp_extension is called to avoid unnecessary Val
	// allocation.

	zeek::event_mgr.Enqueue(::ocsp_extension, zeek::Args{
	        std::move(f),
	        std::move(ext),
	        zeek::val_mgr->Bool(global_resp),
	        },
	    zeek::util::detail::SOURCE_LOCAL, analyzer->GetID());
	}

