/* A Bison parser, made by GNU Bison 3.4.1.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "parse.y"

// See the file "COPYING" in the main distribution directory for copyright.
#line 76 "parse.y"

#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include <set>
#include <string>

#include "zeek/input.h"
#include "zeek/ZeekList.h"
#include "zeek/Desc.h"
#include "zeek/Expr.h"
#include "zeek/Func.h"
#include "zeek/Stmt.h"
#include "zeek/Val.h"
#include "zeek/Var.h"
#include "zeek/RE.h"
#include "zeek/Scope.h"
#include "zeek/Reporter.h"
#include "zeek/ScriptCoverageManager.h"
#include "zeek/zeekygen/Manager.h"
#include "zeek/module_util.h"
#include "zeek/IntrusivePtr.h"

extern const char* filename;  // Absolute path of file currently being parsed.
extern const char* last_filename; // Absolute path of last file parsed.
extern const char* last_tok_filename;
extern const char* last_last_tok_filename;

YYLTYPE GetCurrentLocation();
extern int yyerror(const char[]);
extern int brolex();

#define YYLLOC_DEFAULT(Current, Rhs, N) \
	(Current) = (Rhs)[(N)];

/*
 * Part of the module facility: while parsing, keep track of which
 * module to put things in.
 */
std::string zeek::detail::current_module = GLOBAL_MODULE_NAME;
std::string& current_module = zeek::detail::current_module;

bool is_export = false; // true if in an export {} block

/*
 * When parsing an expression for the debugger, where to put the result
 * (obviously not reentrant).
 */
extern zeek::detail::Expr* g_curr_debug_expr;
extern bool in_debug;
extern const char* g_curr_debug_error;

static int in_when_cond = 0;
static int in_hook = 0;
int in_init = 0;
int in_record = 0;
static int in_record_redef = 0;
static int in_enum_redef = 0;
bool resolving_global_ID = false;
bool defining_global_ID = false;
std::vector<int> saved_in_init;

static zeek::detail::Location func_hdr_location;
zeek::EnumType* cur_enum_type = nullptr;
static zeek::detail::ID* cur_decl_type_id = nullptr;

static void parser_new_enum (void)
	{
	/* Starting a new enum definition. */
	assert(cur_enum_type == nullptr);

	if ( cur_decl_type_id )
		cur_enum_type = new zeek::EnumType(cur_decl_type_id->Name());
	else
		zeek::reporter->FatalError("incorrect syntax for enum type declaration");
	}

static void parser_redef_enum (zeek::detail::ID *id)
	{
	/* Redef an enum. id points to the enum to be redefined.
	   Let cur_enum_type point to it. */
	assert(cur_enum_type == nullptr);

	// abort on errors; enums need to be accessible to continue parsing
	if ( ! id->GetType() )
		zeek::reporter->FatalError("unknown enum identifier \"%s\"", id->Name());
	else
		{
		if ( ! id->GetType() || id->GetType()->Tag() != zeek::TYPE_ENUM )
			zeek::reporter->FatalError("identifier \"%s\" is not an enum", id->Name());
		cur_enum_type = id->GetType()->AsEnumType();
		}
	}

static void extend_record(zeek::detail::ID* id, std::unique_ptr<zeek::type_decl_list> fields,
                          std::unique_ptr<std::vector<zeek::detail::AttrPtr>> attrs)
	{
	const auto& types = zeek::Type::Aliases(id->Name());

	if ( types.empty() )
		{
		id->Error("failed to redef record: no types found in alias map");
		return;
		}

	bool add_log_attr = false;

	if ( attrs )
		for ( const auto& at : *attrs )
			if ( at->Tag() == zeek::detail::ATTR_LOG )
				{
				add_log_attr = true;
				break;
				}

	for ( const auto& t : types )
		{
		auto error = t->AsRecordType()->AddFields(*fields, add_log_attr);

		if ( error )
			{
			id->Error(error);
			break;
			}
		}
	}

static zeek::detail::AttributesPtr
make_attributes(std::vector<zeek::detail::AttrPtr>* attrs,
                zeek::TypePtr t, bool in_record, bool is_global)
	{
	if ( ! attrs )
		return nullptr;

	auto rval = zeek::make_intrusive<zeek::detail::Attributes>(std::move(*attrs), std::move(t),
	                                       in_record, is_global);
	delete attrs;
	return rval;
	}

static bool expr_is_table_type_name(const zeek::detail::Expr* expr)
	{
	if ( expr->Tag() != zeek::detail::EXPR_NAME )
		return false;

	const auto& type = expr->GetType();

	if ( type->IsTable() )
		return true;

	if ( type->Tag() == zeek::TYPE_TYPE )
		return type->AsTypeType()->GetType()->IsTable();

	return false;
	}

#line 231 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"

# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_HOME_REPOMAN_RPMBUILD_BUILD_ZEEK_4_0_1_BUILD_SRC_BROPARSE_H_INCLUDED
# define YY_YY_HOME_REPOMAN_RPMBUILD_BUILD_ZEEK_4_0_1_BUILD_SRC_BROPARSE_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOK_ADD = 258,
    TOK_ADD_TO = 259,
    TOK_ADDR = 260,
    TOK_ANY = 261,
    TOK_ATENDIF = 262,
    TOK_ATELSE = 263,
    TOK_ATIF = 264,
    TOK_ATIFDEF = 265,
    TOK_ATIFNDEF = 266,
    TOK_BOOL = 267,
    TOK_BREAK = 268,
    TOK_CASE = 269,
    TOK_OPTION = 270,
    TOK_CONST = 271,
    TOK_CONSTANT = 272,
    TOK_COPY = 273,
    TOK_COUNT = 274,
    TOK_DEFAULT = 275,
    TOK_DELETE = 276,
    TOK_DOUBLE = 277,
    TOK_ELSE = 278,
    TOK_ENUM = 279,
    TOK_EVENT = 280,
    TOK_EXPORT = 281,
    TOK_FALLTHROUGH = 282,
    TOK_FILE = 283,
    TOK_FOR = 284,
    TOK_FUNCTION = 285,
    TOK_GLOBAL = 286,
    TOK_HOOK = 287,
    TOK_ID = 288,
    TOK_IF = 289,
    TOK_INT = 290,
    TOK_INTERVAL = 291,
    TOK_LIST = 292,
    TOK_LOCAL = 293,
    TOK_MODULE = 294,
    TOK_NEXT = 295,
    TOK_OF = 296,
    TOK_OPAQUE = 297,
    TOK_PATTERN = 298,
    TOK_PATTERN_END = 299,
    TOK_PATTERN_TEXT = 300,
    TOK_PORT = 301,
    TOK_PRINT = 302,
    TOK_RECORD = 303,
    TOK_REDEF = 304,
    TOK_REMOVE_FROM = 305,
    TOK_RETURN = 306,
    TOK_SCHEDULE = 307,
    TOK_SET = 308,
    TOK_STRING = 309,
    TOK_SUBNET = 310,
    TOK_SWITCH = 311,
    TOK_TABLE = 312,
    TOK_TIME = 313,
    TOK_TIMEOUT = 314,
    TOK_TIMER = 315,
    TOK_TYPE = 316,
    TOK_UNION = 317,
    TOK_VECTOR = 318,
    TOK_WHEN = 319,
    TOK_WHILE = 320,
    TOK_AS = 321,
    TOK_IS = 322,
    TOK_ATTR_ADD_FUNC = 323,
    TOK_ATTR_DEFAULT = 324,
    TOK_ATTR_OPTIONAL = 325,
    TOK_ATTR_REDEF = 326,
    TOK_ATTR_DEL_FUNC = 327,
    TOK_ATTR_EXPIRE_FUNC = 328,
    TOK_ATTR_EXPIRE_CREATE = 329,
    TOK_ATTR_EXPIRE_READ = 330,
    TOK_ATTR_EXPIRE_WRITE = 331,
    TOK_ATTR_RAW_OUTPUT = 332,
    TOK_ATTR_ON_CHANGE = 333,
    TOK_ATTR_BROKER_STORE = 334,
    TOK_ATTR_BROKER_STORE_ALLOW_COMPLEX = 335,
    TOK_ATTR_BACKEND = 336,
    TOK_ATTR_PRIORITY = 337,
    TOK_ATTR_LOG = 338,
    TOK_ATTR_ERROR_HANDLER = 339,
    TOK_ATTR_TYPE_COLUMN = 340,
    TOK_ATTR_DEPRECATED = 341,
    TOK_DEBUG = 342,
    TOK_NO_TEST = 343,
    TOK_OR_OR = 344,
    TOK_AND_AND = 345,
    TOK_LE = 346,
    TOK_GE = 347,
    TOK_EQ = 348,
    TOK_NE = 349,
    TOK_IN = 350,
    TOK_NOT_IN = 351,
    TOK_INCR = 352,
    TOK_DECR = 353,
    TOK_HAS_FIELD = 354,
    TOK_HAS_ATTR = 355
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 234 "parse.y"

	bool b;
	char* str;
	zeek::detail::ID* id;
	zeek::IDPList* id_l;
	zeek::detail::InitClass ic;
	zeek::Val* val;
	zeek::RE_Matcher* re;
	zeek::detail::Expr* expr;
	zeek::detail::EventExpr* event_expr;
	zeek::detail::Stmt* stmt;
	zeek::detail::ListExpr* list;
	zeek::Type* type;
	zeek::RecordType* record;
	zeek::FuncType* func_type;
	zeek::TypeList* type_l;
	zeek::TypeDecl* type_decl;
	zeek::type_decl_list* type_decl_l;
	zeek::detail::Case* c_case;
	zeek::detail::case_list* case_l;
	zeek::detail::Attr* attr;
	std::vector<zeek::detail::AttrPtr>* attr_l;
	zeek::detail::AttrTag attrtag;

#line 400 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE yylval;
extern YYLTYPE yylloc;
int yyparse (void);

#endif /* !YY_YY_HOME_REPOMAN_RPMBUILD_BUILD_ZEEK_4_0_1_BUILD_SRC_BROPARSE_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3135

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  125
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  84
/* YYNRULES -- Number of rules.  */
#define YYNRULES  264
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  733

#define YYUNDEFTOK  2
#define YYMAXUTOK   355

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   113,     2,     2,   115,   110,   105,     2,
     118,   119,   108,   106,    89,   107,     2,   109,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    92,   124,
      95,    90,    96,    91,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   116,     2,   117,   104,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   122,   103,   123,   114,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    93,    94,    97,    98,    99,   100,
     101,   102,   111,   112,   120,   121
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   262,   262,   277,   277,   284,   285,   289,   292,   296,
     296,   296,   301,   307,   313,   319,   325,   331,   337,   373,
     379,   385,   391,   397,   403,   409,   415,   421,   427,   433,
     439,   445,   451,   457,   463,   469,   475,   481,   487,   493,
     505,   512,   521,   523,   529,   536,   535,   549,   555,   563,
     588,   595,   601,   601,   601,   609,   616,   623,   629,   622,
     674,   674,   683,   689,   692,   698,   748,   754,   754,   768,
     775,   781,   789,   795,   803,   805,   809,   815,   823,   825,
     834,   847,   856,   866,   871,   876,   881,   886,   891,   896,
     901,   906,   911,   916,   921,   926,   931,   937,   944,   946,
     943,   953,   960,   960,   967,   975,   983,   989,   995,  1001,
    1007,  1013,  1019,  1025,  1045,  1047,  1055,  1060,  1066,  1079,
    1081,  1084,  1088,  1090,  1092,  1097,  1106,  1112,  1112,  1115,
    1124,  1133,  1142,  1153,  1152,  1161,  1163,  1165,  1160,  1178,
    1177,  1188,  1188,  1190,  1190,  1192,  1196,  1197,  1200,  1202,
    1204,  1206,  1208,  1213,  1222,  1236,  1245,  1256,  1262,  1255,
    1276,  1282,  1275,  1306,  1311,  1320,  1322,  1327,  1330,  1334,
    1335,  1336,  1337,  1341,  1341,  1341,  1344,  1348,  1350,  1352,
    1356,  1380,  1382,  1386,  1388,  1396,  1398,  1400,  1402,  1404,
    1406,  1408,  1410,  1412,  1414,  1416,  1418,  1420,  1422,  1424,
    1426,  1428,  1430,  1432,  1434,  1453,  1461,  1469,  1477,  1483,
    1489,  1495,  1500,  1505,  1513,  1521,  1529,  1537,  1545,  1553,
    1561,  1572,  1583,  1590,  1600,  1607,  1616,  1626,  1634,  1640,
    1645,  1652,  1656,  1678,  1681,  1685,  1688,  1691,  1696,  1699,
    1707,  1713,  1730,  1758,  1763,  1796,  1817,  1819,  1827,  1849,
    1849,  1854,  1854,  1854,  1859,  1859,  1864,  1902,  1916,  1919,
    1922,  1925,  1928,  1931,  1945
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "TOK_ADD", "TOK_ADD_TO", "TOK_ADDR",
  "TOK_ANY", "TOK_ATENDIF", "TOK_ATELSE", "TOK_ATIF", "TOK_ATIFDEF",
  "TOK_ATIFNDEF", "TOK_BOOL", "TOK_BREAK", "TOK_CASE", "TOK_OPTION",
  "TOK_CONST", "TOK_CONSTANT", "TOK_COPY", "TOK_COUNT", "TOK_DEFAULT",
  "TOK_DELETE", "TOK_DOUBLE", "TOK_ELSE", "TOK_ENUM", "TOK_EVENT",
  "TOK_EXPORT", "TOK_FALLTHROUGH", "TOK_FILE", "TOK_FOR", "TOK_FUNCTION",
  "TOK_GLOBAL", "TOK_HOOK", "TOK_ID", "TOK_IF", "TOK_INT", "TOK_INTERVAL",
  "TOK_LIST", "TOK_LOCAL", "TOK_MODULE", "TOK_NEXT", "TOK_OF",
  "TOK_OPAQUE", "TOK_PATTERN", "TOK_PATTERN_END", "TOK_PATTERN_TEXT",
  "TOK_PORT", "TOK_PRINT", "TOK_RECORD", "TOK_REDEF", "TOK_REMOVE_FROM",
  "TOK_RETURN", "TOK_SCHEDULE", "TOK_SET", "TOK_STRING", "TOK_SUBNET",
  "TOK_SWITCH", "TOK_TABLE", "TOK_TIME", "TOK_TIMEOUT", "TOK_TIMER",
  "TOK_TYPE", "TOK_UNION", "TOK_VECTOR", "TOK_WHEN", "TOK_WHILE", "TOK_AS",
  "TOK_IS", "TOK_ATTR_ADD_FUNC", "TOK_ATTR_DEFAULT", "TOK_ATTR_OPTIONAL",
  "TOK_ATTR_REDEF", "TOK_ATTR_DEL_FUNC", "TOK_ATTR_EXPIRE_FUNC",
  "TOK_ATTR_EXPIRE_CREATE", "TOK_ATTR_EXPIRE_READ",
  "TOK_ATTR_EXPIRE_WRITE", "TOK_ATTR_RAW_OUTPUT", "TOK_ATTR_ON_CHANGE",
  "TOK_ATTR_BROKER_STORE", "TOK_ATTR_BROKER_STORE_ALLOW_COMPLEX",
  "TOK_ATTR_BACKEND", "TOK_ATTR_PRIORITY", "TOK_ATTR_LOG",
  "TOK_ATTR_ERROR_HANDLER", "TOK_ATTR_TYPE_COLUMN", "TOK_ATTR_DEPRECATED",
  "TOK_DEBUG", "TOK_NO_TEST", "','", "'='", "'?'", "':'", "TOK_OR_OR",
  "TOK_AND_AND", "'<'", "'>'", "TOK_LE", "TOK_GE", "TOK_EQ", "TOK_NE",
  "TOK_IN", "TOK_NOT_IN", "'|'", "'^'", "'&'", "'+'", "'-'", "'*'", "'/'",
  "'%'", "TOK_INCR", "TOK_DECR", "'!'", "'~'", "'$'", "'['", "']'", "'('",
  "')'", "TOK_HAS_FIELD", "TOK_HAS_ATTR", "'{'", "'}'", "';'", "$accept",
  "bro", "$@1", "decl_list", "opt_expr", "when_condition", "$@2", "$@3",
  "expr", "$@4", "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "expr_list",
  "opt_expr_list", "enum_body", "enum_body_list", "enum_body_elem", "type",
  "$@11", "$@12", "$@13", "type_list", "type_decl_list", "type_decl",
  "formal_args", "formal_args_decl_list", "formal_args_decl", "decl",
  "$@14", "$@15", "$@16", "$@17", "$@18", "$@19", "$@20", "$@21",
  "conditional_list", "conditional", "func_hdr", "func_body", "$@22",
  "$@23", "lambda_body", "$@24", "$@25", "anonymous_function",
  "begin_func", "func_params", "opt_type", "init_class", "opt_init",
  "$@26", "$@27", "init", "index_slice", "opt_attr", "attr_list", "attr",
  "stmt", "stmt_list", "event", "case_list", "case", "case_type_list",
  "case_type", "for_head", "local_id_list", "local_id", "global_id",
  "$@28", "def_global_id", "$@29", "$@30", "event_id", "$@31",
  "global_or_event_id", "resolve_id", "opt_no_test", "opt_no_test_block",
  "opt_deprecated", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    44,
      61,    63,    58,   344,   345,    60,    62,   346,   347,   348,
     349,   350,   351,   124,    94,    38,    43,    45,    42,    47,
      37,   352,   353,    33,   126,    36,    91,    93,    40,    41,
     354,   355,   123,   125,    59
};
# endif

#define YYPACT_NINF -670

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-670)))

#define YYTABLE_NINF -177

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-177)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     -74,  -670,   102,   522,  2564,  -670,  -670,  -670,   -13,    -1,
      39,  -670,  -670,  -670,   -78,  -670,  -670,  -670,   125,    38,
    -670,  -670,  -670,    43,  1067,  -670,    48,    49,  -670,  -670,
     128,    63,  2564,    65,    67,    68,  2564,  2564,  2564,  -670,
    2564,  2564,  2564,  2564,   136,  2445,  2564,  2097,  -670,  -670,
    2564,   141,   154,    97,  -670,    97,    49,   157,  -670,    49,
      97,    49,    69,  -670,  -670,  -670,    97,   157,    99,    74,
     230,  2564,    73,   128,  2564,   171,    82,    90,    93,   128,
      88,  2564,  2313,  2564,    95,   100,   129,  -670,   195,  -670,
     132,  -670,  1067,  2564,   190,   105,  -670,  2564,  -670,   139,
    2564,  1121,  2564,  -670,  2564,  2158,    44,    44,   186,    44,
      44,    44,    44,   -73,  -670,  2097,   -14,  1365,  2564,  2564,
    2688,  2688,  2564,  2651,  2564,  2564,  2564,  2564,  2564,  2564,
    2564,  2564,  2564,  2564,  2564,  2564,  2564,  2564,  2564,  2564,
    2564,  2564,   199,  2651,  -670,   200,  1426,   116,   123,  2688,
      11,  -670,    11,  1305,  -670,  -670,  -670,  1305,    11,  1305,
    -670,   243,    49,  -670,    11,  -670,  -670,  -670,  -670,    74,
     230,   689,   164,    97,   807,   138,   133,   164,   -25,  2564,
      56,   164,   -66,   140,   164,   925,  1182,  -670,  2564,  -670,
    -670,   164,  2564,  -670,  1487,   167,   144,   -65,  -670,  -670,
    -670,  2899,  2564,   -54,   171,   175,   146,  2564,   147,   162,
     216,  2564,   178,  2564,  -670,  -670,  2097,  2097,  -670,  -670,
    -670,  -670,  -670,   148,   151,   231,    49,   159,  -670,  -670,
    -670,   237,   238,  -670,  -670,   160,   165,  -670,  -670,   168,
    -670,  -670,   184,   242,  -670,  -670,  -670,  2097,  1548,  2828,
    2899,  2944,  2944,  2944,  2944,  2944,  2944,  1089,  1089,  2524,
     372,  1380,  1136,  1136,    44,    44,    44,  -670,   220,  1609,
      -9,  2564,  -670,  -670,  -670,  -670,  -670,  -670,  -670,  -670,
     576,  -670,   576,   197,   218,  -670,  -670,   224,   226,   232,
     234,   244,  -670,   246,   247,  -670,   249,   251,  -670,  -670,
     252,   254,  -670,  1305,  -670,   444,  -670,   576,  -670,   211,
    1305,   317,   576,  2688,  -670,  -670,  -670,   164,  -670,  -670,
      11,   164,  2564,   164,  -670,   -20,   128,  1670,    11,  -670,
     164,  -670,  -670,   164,  -670,   227,  2564,  1731,   713,  -670,
    1043,  -670,  2688,   253,   190,   190,  -670,  2097,  -670,   225,
    1305,   228,  -670,  -670,  2097,  -670,  2097,  -670,   190,  2688,
    -670,   190,  2688,   316,  -670,  2688,  2688,  2688,  2688,  2564,
    2564,  -670,  -670,  1305,  2428,  1305,  2564,  2564,  2564,  2564,
    2564,  2564,  2564,  2564,  2564,  2564,  2564,  2564,   333,  -670,
    -670,  1305,  -670,  -670,   229,  1305,  1305,  1067,  -670,   576,
    -670,   233,  -670,   320,  2564,    -5,  -670,  1067,   576,  -670,
     235,  -670,    29,  1067,  2097,  1067,  -670,   164,  1305,  2688,
    -670,  -670,  1067,  -670,  -670,  -670,   105,   322,   239,  -670,
     240,  -670,  -670,  -670,  -670,    24,    51,   -67,  -670,  2738,
     250,  2097,   241,   245,  2564,  2097,  -670,   260,  2097,  2097,
    2097,  2097,  2097,  2097,  2097,  2097,  2097,  2097,  2097,  2097,
    -670,   265,   322,  -670,   267,   268,   248,  1305,  -670,   255,
    1792,   128,     6,   334,  1305,  1067,  2547,   269,  -670,  -670,
     304,  -670,  -670,  -670,  -670,  -670,   270,  1305,  -670,    61,
     271,   275,  -670,  -670,  -670,   335,  2688,  -670,   354,  -670,
    -670,  -670,  -670,   307,   278,  -670,  -670,  -670,   279,  -670,
    -670,  -670,  -670,   274,  2564,  -670,  -670,   371,  2564,  1067,
     283,   349,  2765,   -21,   -16,  -670,  -670,  2564,  -670,  -670,
     319,    -8,  -670,  -670,   322,   321,   288,  -670,  -670,  2688,
    2341,  -670,   290,   335,   164,  1853,   314,  1914,  -670,   164,
    2564,   350,  -670,   356,  -670,  1067,  1243,   401,   337,   402,
    -670,  2688,  -670,  -670,  -670,  -670,   297,  -670,  -670,  2564,
    -670,  -670,  1304,   388,  1067,  -670,  1067,   129,  -670,  -670,
    -670,  1305,  1305,  1975,   129,  -670,  -670,   300,   301,  -670,
    -670,   831,  -670,  -670,   949,  -670,  -670,  -670,   128,   309,
     310,  2651,  2651,  2651,  2651,  2651,  2651,   397,  2651,  2651,
    2765,  2765,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,
    2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,
    2651,  2651,  2219,   390,   315,   391,   325,   395,  2651,  2651,
     347,  2564,  -670,   135,   135,   135,   135,   135,   135,   -26,
    2219,  2219,  2219,  2036,  2873,  2970,  3015,  3015,  3015,  3015,
    3015,  3015,  2406,  2406,  2800,  2174,  1441,  1197,  1197,   135,
     135,   135,  2765,   190,  2765,  2688,  2765,  2219,  2970,  2651,
     324,  2564,  2651,  2651,   326,    54,  2219,  1549,   327,  2219,
    2783,  -670,   403,   357,   358,   359,   360,   366,   368,   374,
     376,   377,   378,   381,   383,  1549,  -670,  2765,  2651,  2651,
    2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,  2651,
    1549,  2219,  2219,  2219,  2219,  2219,  2219,  2219,  2219,  2219,
    2219,  2219,  2219
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       6,     3,     0,   231,     0,     1,   151,   152,     0,     0,
       0,   251,   251,   254,     0,   251,   251,   251,     0,   249,
     249,     5,   145,   143,     2,    66,     0,     0,    60,    65,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    67,
       0,     0,     0,     0,     0,     0,     0,     4,    63,    42,
       0,     0,     0,   168,   249,   168,     0,     0,   127,     0,
     168,     0,     0,   249,   254,   249,   168,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   261,   228,     0,   229,
      42,   230,     0,     0,   121,     0,   164,     0,   248,     0,
       0,     0,    75,    52,    75,     0,    19,    18,     0,    14,
      15,    16,    17,     0,    50,    73,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     8,    57,     0,     0,     0,     0,     0,
     169,   252,   169,   182,   256,   255,     6,   182,   169,   182,
     126,     0,     0,   135,   169,   250,   139,   157,   142,     0,
     146,     0,   259,   168,     0,     0,     0,   259,     0,     0,
     168,   259,     0,     0,   259,     0,     0,     9,     0,   260,
     231,   259,     0,   211,     0,     0,     0,   119,   124,   160,
     163,    61,     0,     0,     0,    74,     0,    75,     0,    69,
       0,     0,     0,     0,    49,    12,    21,    23,    93,    95,
      83,    85,    86,     0,     0,   111,     0,     0,   257,    84,
      88,   104,     0,    90,    92,     0,     0,    89,    94,     0,
      87,    91,     0,     0,    70,   113,    71,    39,     0,    31,
      30,    34,    36,    35,    37,    32,    33,    47,    48,    28,
      29,    27,    20,    22,    24,    25,    26,    43,     0,    73,
       0,    75,    62,   148,   149,   150,   167,   171,   172,   170,
     173,   253,   173,     0,     0,   186,   187,     0,     0,     0,
       0,     0,   198,     0,     0,   192,     0,     0,   201,   202,
       0,   203,   154,   181,   184,     0,   153,   173,   155,     0,
     182,     0,   173,     0,   231,   144,   147,   259,   258,   214,
     169,   259,    75,   259,   215,     0,     0,     0,   169,   213,
     259,     9,   216,   259,   234,     0,     0,     0,     0,   227,
       0,    13,     0,   166,     0,   120,   231,    40,    51,     0,
     182,     0,    56,    68,    44,    45,    72,   102,   121,     0,
     107,   121,     0,     0,    98,     0,     0,     0,     0,     0,
       8,    41,    58,   182,     0,   182,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   183,
     128,   182,   133,   156,     0,   182,   182,   158,   218,   173,
     219,     0,   207,     0,     0,     0,   247,     0,   173,   206,
       0,   217,     0,     0,    10,     0,   205,   259,   182,     0,
     123,   122,   161,    64,    55,    53,     0,     0,     0,   110,
       0,   105,   112,   117,   115,     0,     0,     0,   106,    38,
       0,     7,     0,     0,    75,   179,   174,     0,   188,   185,
     189,   194,   195,   196,   197,   190,   191,   193,   199,   200,
     204,     0,     0,   136,     0,     0,     0,   182,   232,     0,
       0,     0,     0,   208,   182,     0,     0,     0,   210,   233,
     222,    11,   212,   226,   125,   165,     0,   182,    46,   264,
       0,    76,    78,   108,   109,    99,     0,    97,     0,   101,
     180,    59,   130,    74,     0,   175,   131,   129,     0,   117,
     132,   140,   159,     0,     0,   242,   246,     0,     0,     0,
       0,   224,     0,     0,     0,   239,   231,     0,   162,    54,
     262,     0,    82,   103,    77,     0,     0,   116,   114,     0,
       0,   177,     0,   137,   259,     0,     0,     0,   209,   259,
       0,   240,   231,     0,   231,   237,     0,     0,   264,     0,
      79,     0,   100,    96,   178,   134,     0,   221,   244,     0,
     243,   220,     0,     0,   235,   238,   236,   261,   263,    80,
      81,   182,   182,     0,   261,   241,   231,     0,     0,   245,
     231,     0,   118,   138,     0,   223,   225,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    73,   111,     0,   104,     0,     0,     0,     0,
       0,    75,    52,    19,    18,    14,    15,    16,    17,     0,
      21,    23,    39,     0,    31,    30,    34,    36,    35,    37,
      32,    33,    47,    48,    28,    29,    27,    20,    22,    24,
      25,    26,     0,   121,     0,     0,     0,    72,    61,     0,
       0,    75,     0,     0,     0,     0,    40,   182,     0,    44,
      38,   166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   188,   185,   189,   194,   195,   196,   197,   190,   191,
     193,   199,   200
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -670,  -670,  -670,   305,   114,   155,  -670,  -670,    -4,  -670,
    -157,  -215,  -670,  -670,  -103,  -670,   -34,  -101,    33,  -670,
     -38,   -33,  -670,  -670,  -670,  -337,   -12,  -670,  -342,  -670,
    -190,  -670,  -670,  -670,  -670,  -670,  -670,  -670,  -670,  -670,
     328,     2,  -670,   330,  -670,  -670,    75,  -670,  -670,  -670,
    -670,    -6,   -35,  -104,  -255,  -670,  -670,  -670,   -10,  -147,
    -669,  -299,   -90,  -164,   296,  -670,  -670,  -670,   -51,  -670,
    -670,   -72,    20,  -670,   161,  -670,  -670,   439,  -670,   437,
    -670,   -87,  -435,   -50
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     4,     3,   268,   335,   336,   481,    88,   426,
     207,   487,   271,   442,    97,   108,   205,   206,   490,   491,
     492,   434,   433,   536,   427,   435,   495,   537,   196,   197,
     198,    21,   156,   462,   311,   509,   566,   313,    69,    70,
     169,    89,    23,   168,   314,   466,   200,   346,   486,    48,
      95,   212,   150,   280,   373,   374,   505,   446,    49,   424,
     303,   304,    91,    24,   176,   412,   479,   524,   525,    92,
     405,    99,    66,    67,    53,    54,   281,    56,    57,   155,
     245,   319,   190,   532
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      47,   173,   193,   208,   389,    22,   302,   180,   325,   558,
     306,   116,   308,     1,    90,   277,   428,   211,   705,   430,
     152,    96,   496,   213,   344,   158,   338,   375,   101,   436,
     437,   164,   105,   106,   107,   213,   109,   110,   111,   112,
      68,   115,   117,   476,    58,    94,   146,   182,   282,   477,
     153,   705,   391,   157,   307,   159,   499,   395,   330,   345,
     312,   278,    63,    64,   682,   348,   203,   171,   638,   403,
     174,   552,   170,   553,   151,   213,   554,   115,   185,   186,
     213,   404,    90,   161,   471,   163,    65,   244,   246,   194,
     324,   326,    94,   201,   329,   517,   115,   332,   115,   559,
     115,   279,     5,   214,   339,    50,   351,   518,   371,   270,
     120,   121,   472,   496,   216,   217,   276,    51,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   320,   269,
     496,   497,   586,   496,   467,   328,   202,   530,   149,   590,
     397,   531,   478,   474,   420,   421,   310,    52,    62,   142,
     143,    98,   144,   393,   145,  -141,    93,    94,   498,   113,
     372,   692,   170,    55,   147,   327,    59,    60,    61,    25,
      26,   100,   422,   102,   337,   103,   104,   148,   340,   149,
     154,   166,    27,   160,    28,    29,   167,   172,   347,   118,
      30,   610,   611,   115,   175,   259,   177,   354,   178,   356,
      31,   179,   181,   187,    32,    33,   399,   189,   188,    34,
     360,   401,   192,   195,   408,    35,   443,   199,   447,   202,
     398,   210,   267,   272,   400,   274,   402,     6,     7,     8,
       9,    10,   275,   409,   461,   119,   411,   309,   464,   465,
     142,   143,   318,   144,   406,   145,   322,   323,   331,   342,
     353,   120,   121,   343,   213,   350,   352,   115,   355,   358,
     357,   484,   359,    40,    41,    42,    43,   361,   362,   363,
     396,   365,   364,   368,   366,   122,   123,   376,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   367,    22,   377,   418,
     142,   143,   370,   144,   378,   145,   379,   473,   115,   191,
     513,   394,   380,   480,   381,   482,   429,   520,    90,   431,
     483,   684,   414,   392,   382,   438,   383,   384,   685,   385,
     529,   386,   387,   504,   388,   419,   413,   425,   423,   432,
     460,   463,   468,   469,   475,   489,   514,   519,   493,   494,
     501,   526,   555,   527,   534,   439,   441,   500,   535,   502,
     445,   512,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   506,   521,   485,    90,   574,   507,
     576,   510,   511,   528,   533,   539,   540,    90,   544,   516,
     470,   541,   542,    90,   546,    90,   389,   549,   550,   557,
     503,   562,    90,   561,   565,   569,   573,   522,   578,   580,
     582,   585,   591,   530,   592,   593,   594,   641,   642,   548,
     649,   672,   674,   673,   587,   588,   676,   679,   120,   121,
     115,   675,   523,   687,   707,   691,   706,   708,   709,   710,
     711,     6,     7,     8,     9,    10,   712,   567,   713,    11,
      12,   305,   571,   538,   714,    90,   715,   716,   717,    13,
      14,   718,   632,   719,    15,    16,    17,   136,   137,   138,
     139,   140,   141,    18,   440,   681,   410,   142,   143,   551,
     144,   720,   145,    19,   639,   508,   560,   543,   316,   315,
     349,   488,   575,   162,   165,    20,   563,     0,   579,    90,
     545,     0,     0,     0,   547,     0,     0,     0,     0,     0,
       0,     0,     0,   556,     0,     0,   640,     0,   581,     6,
       7,     8,     9,    10,     0,     0,   356,    11,    12,     0,
     680,     0,     0,     0,     0,    90,   572,    13,    14,     0,
       0,     0,    15,    16,    17,     0,     0,     0,     0,     0,
       0,    18,     0,     0,    90,   583,    90,   390,     0,     0,
       0,    19,     0,   529,     0,     0,     0,   244,   246,     0,
     688,    90,     0,    20,    90,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   643,   644,   645,
     646,   647,   648,     0,   650,   651,     0,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   360,     0,
       0,     0,     0,     0,   677,   678,     0,   115,     0,   429,
       0,   431,     0,   438,  -176,  -176,  -176,  -176,  -176,  -176,
    -176,  -176,  -176,  -176,  -176,  -176,  -176,  -176,  -176,  -176,
    -176,  -176,  -176,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   563,   686,     0,   115,   689,   690,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   118,     0,     0,     0,     0,     0,     0,
    -176,     0,     0,     0,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,    71,     0,     0,     0,
       6,     7,     8,     9,    10,     0,    72,     0,     0,    73,
      25,    26,     0,     0,    74,     0,     0,     0,    75,   119,
      76,     0,    77,    27,     0,    28,    29,    78,     0,     0,
       0,    79,     0,    80,     0,   120,   121,     0,     0,     0,
      81,    31,     0,     0,    82,    32,    33,     0,     0,    83,
      34,     0,     0,     0,     0,     0,    35,    84,    85,   122,
     123,     0,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
       0,     0,     0,     0,   142,   143,     0,   144,     0,   145,
       0,   118,     0,   317,     0,     0,    36,     0,     0,    37,
      38,     0,    39,     0,    40,    41,    42,    43,    44,    45,
       0,    46,     0,     0,    71,    86,   416,    87,     6,     7,
       8,     9,    10,     0,    72,     0,     0,    73,    25,    26,
       0,     0,    74,     0,     0,     0,    75,   119,    76,     0,
      77,    27,     0,    28,    29,    78,     0,     0,     0,    79,
       0,    80,     0,   120,   121,     0,     0,     0,    81,    31,
       0,     0,    82,    32,    33,     0,     0,    83,    34,     0,
       0,     0,     0,     0,    35,    84,    85,   122,   123,     0,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,     0,     0,
       0,     0,   142,   143,     0,   144,     0,   145,     0,   118,
       0,   321,     0,     0,    36,     0,     0,    37,    38,     0,
      39,     0,    40,    41,    42,    43,    44,    45,     0,    46,
       0,     0,    71,    86,   595,    87,     6,     7,     8,     9,
      10,     0,    72,     0,     0,    73,    25,    26,     0,     0,
      74,     0,     0,     0,    75,   119,    76,     0,    77,    27,
       0,    28,    29,    78,     0,     0,     0,    79,     0,    80,
       0,   120,   121,     0,     0,     0,    81,    31,     0,     0,
      82,    32,    33,     0,     0,    83,    34,     0,     0,     0,
       0,     0,    35,    84,    85,   122,   123,     0,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,     0,     0,     0,     0,
     142,   143,     0,   144,     0,   145,     0,   118,     0,   333,
       0,     0,    36,     0,     0,    37,    38,     0,    39,     0,
      40,    41,    42,    43,    44,    45,     0,    46,     0,     0,
      71,    86,   596,    87,     6,     7,     8,     9,    10,     0,
      72,     0,     0,    73,    25,    26,     0,     0,    74,     0,
       0,     0,    75,   119,    76,     0,    77,    27,     0,    28,
      29,    78,     0,     0,     0,    79,     0,    80,     0,   120,
     121,     0,     0,     0,    81,    31,     0,     0,    82,    32,
      33,     0,     0,    83,    34,   118,     0,     0,     0,     0,
      35,    84,    85,   122,   123,     0,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,     0,   120,   121,     0,   142,   143,
       0,   144,     0,   145,     0,     0,     0,   417,     0,     0,
      36,   119,     0,    37,    38,     0,    39,     0,    40,    41,
      42,    43,    44,    45,     0,    46,   118,   120,   121,    86,
       0,    87,   134,   135,   136,   137,   138,   139,   140,   141,
       0,     0,   120,   121,   142,   143,     0,   144,     0,   145,
       0,   122,   123,     0,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   119,     0,     0,     0,   142,   143,     0,   144,
       0,   145,     0,   204,   139,   140,   141,   118,   120,   121,
       0,   142,   143,     0,   144,     0,   145,     0,     0,     0,
       0,     0,     0,   610,   611,     0,     0,     0,     0,     0,
       0,     0,   122,   123,     0,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   119,     0,     0,     0,   142,   143,     0,
     144,     0,   145,     0,   334,   629,   630,   631,   118,   120,
     121,     0,   142,   143,     0,   144,     0,   145,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   122,   123,     0,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   119,     0,     0,     0,   142,   143,
       0,   144,     0,   145,     0,   577,     0,     0,     0,   118,
     120,   121,     0,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,     0,     0,   122,   123,     0,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   119,     0,     0,     0,   142,
     143,     0,   144,     0,   145,     0,   584,     0,     0,     0,
     118,   120,   121,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,     0,     0,     0,   122,   123,     0,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   119,     0,     0,     0,
     142,   143,     0,   144,   215,   145,   137,   138,   139,   140,
     141,   118,   120,   121,     0,   142,   143,     0,   144,     0,
     145,     0,     0,     0,     0,     0,     0,   610,   611,     0,
       0,     0,     0,     0,     0,     0,   122,   123,     0,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   119,     0,     0,
       0,   142,   143,     0,   144,   273,   145,   627,   628,   629,
     630,   631,   608,   120,   121,     0,   142,   143,     0,   144,
       0,   145,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   122,   123,     0,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   609,     0,
       0,     0,   142,   143,     0,   144,   341,   145,     0,     0,
       0,     0,     0,   608,   610,   611,     0,   693,   694,   285,
     286,   695,   696,   697,   698,   699,   292,   700,   701,   295,
     702,   703,   298,   299,   704,   301,     0,     0,   612,   613,
     369,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   609,
       0,     0,     0,   142,   143,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   118,   610,   611,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   612,
     613,    -7,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     119,     0,     0,     0,   142,   143,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   118,   120,   121,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     122,   123,     0,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   119,     0,     0,     0,   142,   143,     0,   144,   407,
     145,     0,     0,     0,     0,     0,   118,   120,   121,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   122,   123,     0,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   119,     0,     0,     0,   142,   143,     0,   144,
     415,   145,     0,     0,     0,     0,     0,   118,   120,   121,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   122,   123,     0,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   119,     0,     0,     0,   142,   143,     0,
     144,   515,   145,     0,     0,     0,     0,     0,   118,   120,
     121,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   122,   123,     0,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   119,     0,     0,     0,   142,   143,
       0,   144,   568,   145,     0,     0,     0,     0,     0,   118,
     120,   121,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   122,   123,     0,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   119,     0,     0,     0,   142,
     143,     0,   144,   570,   145,     0,     0,     0,     0,     0,
     608,   120,   121,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   122,   123,     0,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   609,     0,     0,     0,
     142,   143,     0,   144,   589,   145,     0,     0,     0,     0,
       0,   118,   610,   611,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   612,   613,   683,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   119,     0,     0,
       0,   142,   143,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   118,   120,   121,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   122,   123,     0,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   119,     0,
       0,     0,   142,   143,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   608,   120,   121,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     610,   611,     0,     0,     0,     0,     0,     0,   122,   123,
       0,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   209,   135,   136,   137,   138,   139,   140,   141,   609,
       0,     0,     0,   142,   143,     0,   144,     0,   145,   626,
     627,   628,   629,   630,   631,   610,   611,     0,     0,   142,
     143,     0,   144,     0,   145,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
      25,    26,     0,     0,   142,   143,     0,   144,     0,   145,
       0,     0,     0,    27,     0,    28,    29,     0,     0,     0,
       0,    30,     0,     0,     0,     0,     0,     0,    25,    26,
       0,    31,     0,     0,     0,    32,    33,     0,     0,     0,
      34,    27,     0,    28,    29,     0,    35,   183,     0,    30,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    31,
       0,     0,     0,    32,    33,     0,     0,     0,    34,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    36,     0,     0,    37,
      38,     0,    39,     0,    40,    41,    42,    43,    44,    45,
       0,    46,     0,     0,     0,     0,     0,   184,     0,     0,
       0,     0,     0,     0,    36,    25,    26,    37,    38,     0,
      39,     0,    40,    41,    42,    43,    44,    45,    27,    46,
      28,    29,    25,    26,   564,     0,    30,     0,     0,     0,
       0,     0,   610,   611,     0,    27,    31,    28,    29,     0,
      32,    33,     0,    30,     0,    34,     0,     0,     0,     0,
       0,    35,     0,    31,     0,     0,     0,    32,    33,     0,
       0,     0,    34,     0,     0,     0,     0,     0,    35,   624,
     625,   626,   627,   628,   629,   630,   631,     0,     0,     0,
       0,   142,   143,     0,   144,     0,   145,     0,     0,     0,
       0,    36,     0,     0,    37,    38,     0,    39,     0,    40,
      41,    42,    43,    44,    45,     0,    46,     0,    36,     0,
     444,    37,    38,     0,    39,     0,    40,    41,    42,    43,
      44,    45,   114,    46,    25,    26,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    27,     0,   597,
      29,    25,    26,     0,     0,   598,     0,     0,     0,     0,
     120,   121,     0,     0,    27,    31,    28,    29,     0,    32,
     599,     0,    30,     0,   600,     0,     0,     0,   522,     0,
      35,     0,    31,     0,     0,     0,    32,    33,     0,     0,
       0,    34,     0,     0,     0,     0,     0,    35,   135,   136,
     137,   138,   139,   140,   141,     0,     0,     0,     0,   142,
     143,     0,   144,     0,   145,     0,     0,     0,     0,     0,
      36,     0,     0,   601,   602,     0,    39,     0,   603,   604,
     605,   606,   607,    45,     0,    46,     0,    36,    25,    26,
      37,    38,     0,    39,     0,    40,    41,    42,    43,    44,
      45,    27,    46,   597,    29,     0,     0,     0,     0,   598,
       0,     0,     0,   218,   219,     0,     0,     0,     0,    31,
     220,     0,     0,    32,   599,     0,     0,   221,   600,     0,
     222,     0,   223,   224,    35,     0,   225,     0,   226,     0,
     227,   228,     0,   229,   230,   231,     0,     0,     0,     0,
     232,   233,     0,     0,   234,     0,   235,     0,     0,     0,
       0,   236,   237,   238,     0,   239,   240,     0,   241,     0,
     242,   243,     0,     0,    36,     0,     0,   601,   602,     0,
      39,     0,   603,   604,   605,   606,   607,    45,     0,    46,
     218,   219,     0,     0,     0,     0,     0,   220,     0,     0,
       0,     0,     0,     0,   221,     0,     0,   222,     0,   223,
     224,     0,     0,   633,     0,   634,     0,   227,   228,     0,
     229,   230,   635,     0,   120,   121,     0,   232,   233,     0,
       0,   234,     0,   235,     0,     0,     0,     0,   236,   237,
     238,     0,   636,   240,     0,   241,     0,   242,   637,   123,
       0,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   610,
     611,     0,     0,   142,   143,     0,   144,     0,   145,     0,
       0,     0,     0,     0,     0,     0,   610,   611,     0,     0,
       0,     0,     0,     0,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   120,   121,     0,     0,   142,   143,
       0,   144,     0,   145,   625,   626,   627,   628,   629,   630,
     631,     0,     0,     0,     0,   142,   143,     0,   144,     0,
     145,     0,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   610,
     611,     0,     0,   142,   143,     0,   144,     0,   145,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   120,   121,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,     0,     0,     0,   142,   143,
       0,   144,     0,   145,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     120,   121,     0,     0,   142,   143,     0,   144,     0,   145,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   610,   611,     0,  -177,
    -177,  -177,  -177,  -177,  -177,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,     0,     0,     0,     0,   142,
     143,     0,   144,     0,   145,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   610,   611,     0,     0,   142,   143,     0,   144,     0,
     145,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -177,  -177,  -177,  -177,  -177,  -177,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,     0,     0,     0,
     142,   143,     0,   144,     0,   145
};

static const yytype_int16 yycheck[] =
{
       4,    73,    92,   104,   303,     3,   153,    79,    33,    17,
     157,    45,   159,    87,    24,     4,   358,    90,   687,   361,
      55,    27,    89,    89,    89,    60,   190,   282,    32,   366,
     367,    66,    36,    37,    38,    89,    40,    41,    42,    43,
      20,    45,    46,    14,   122,   118,    50,    81,   152,    20,
      56,   720,   307,    59,   158,    61,   123,   312,   124,   124,
     164,    50,    24,    25,    90,   119,   100,    71,    89,    89,
      74,    92,    70,    89,    54,    89,    92,    81,    82,    83,
      89,   101,    92,    63,    89,    65,    48,   120,   121,    93,
     177,   116,   118,    97,   181,    89,   100,   184,   102,   107,
     104,    90,     0,   117,   191,   118,   207,   101,   117,   143,
      66,    67,   117,    89,   118,   119,   149,   118,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   173,   143,
      89,   117,   577,    89,   399,   180,    90,    86,    92,   584,
     314,    90,   123,   408,   344,   345,   162,   118,    33,   115,
     116,    33,   118,   310,   120,   122,   118,   118,   117,    33,
     271,   117,   170,    12,    33,   179,    15,    16,    17,    17,
      18,   118,   346,   118,   188,   118,   118,    33,   192,    92,
      33,    92,    30,   124,    32,    33,   122,   124,   202,     4,
      38,    66,    67,   207,    33,   209,   124,   211,   118,   213,
      48,   118,   124,   118,    52,    53,   320,    88,   118,    57,
     226,   322,    90,    33,   328,    63,   373,   122,   375,    90,
     317,    45,    33,    33,   321,   119,   323,     7,     8,     9,
      10,    11,   119,   330,   391,    50,   333,     4,   395,   396,
     115,   116,    88,   118,   326,   120,   118,   124,   118,    92,
      44,    66,    67,   119,    89,   119,   119,   271,    90,   118,
     122,   418,    41,   111,   112,   113,   114,   118,    41,    41,
     313,   116,   122,    41,   116,    90,    91,    90,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   122,   305,    90,   342,
     115,   116,    92,   118,    90,   120,    90,   407,   322,   124,
     467,     4,    90,   413,    90,   415,   359,   474,   338,   362,
     417,   673,   336,   122,    90,   368,    90,    90,   675,    90,
     487,    90,    90,   444,    90,    92,   119,   119,   123,    33,
      17,   122,   119,    33,   119,    33,   101,    23,   119,   119,
     119,    92,   526,    59,    89,   369,   370,   117,    33,   124,
     374,   123,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   124,   475,   419,   397,   552,   124,
     554,   124,   124,   123,   123,    41,    89,   407,   124,   471,
     404,   123,   123,   413,    33,   415,   705,   124,    59,    90,
     444,   123,   422,    92,   124,   101,    66,    61,    17,    17,
     123,    33,   586,    86,   124,   124,   590,   118,   118,   519,
      33,    41,    41,   118,   581,   582,    41,    90,    66,    67,
     444,   116,   476,   119,    41,   119,   119,    90,    90,    90,
      90,     7,     8,     9,    10,    11,    90,   544,    90,    15,
      16,   156,   549,   496,    90,   475,    90,    90,    90,    25,
      26,    90,   476,    90,    30,    31,    32,   105,   106,   107,
     108,   109,   110,    39,   370,   642,   331,   115,   116,   522,
     118,   706,   120,    49,   597,   462,   534,   509,   170,   169,
     204,   426,   553,    64,    67,    61,   539,    -1,   558,   519,
     514,    -1,    -1,    -1,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   527,    -1,    -1,   598,    -1,   561,     7,
       8,     9,    10,    11,    -1,    -1,   540,    15,    16,    -1,
     641,    -1,    -1,    -1,    -1,   555,   550,    25,    26,    -1,
      -1,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    -1,    -1,   574,   569,   576,   123,    -1,    -1,
      -1,    49,    -1,   720,    -1,    -1,    -1,   610,   611,    -1,
     681,   591,    -1,    61,   594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   601,   602,   603,
     604,   605,   606,    -1,   608,   609,    -1,    -1,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   634,    -1,
      -1,    -1,    -1,    -1,   638,   639,    -1,   641,    -1,   672,
      -1,   674,    -1,   676,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   707,   679,    -1,   681,   682,   683,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     4,    -1,    -1,    -1,    -1,    -1,    -1,
     124,    -1,    -1,    -1,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,     3,    -1,    -1,    -1,
       7,     8,     9,    10,    11,    -1,    13,    -1,    -1,    16,
      17,    18,    -1,    -1,    21,    -1,    -1,    -1,    25,    50,
      27,    -1,    29,    30,    -1,    32,    33,    34,    -1,    -1,
      -1,    38,    -1,    40,    -1,    66,    67,    -1,    -1,    -1,
      47,    48,    -1,    -1,    51,    52,    53,    -1,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    63,    64,    65,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,    -1,    -1,    -1,   115,   116,    -1,   118,    -1,   120,
      -1,     4,    -1,   124,    -1,    -1,   103,    -1,    -1,   106,
     107,    -1,   109,    -1,   111,   112,   113,   114,   115,   116,
      -1,   118,    -1,    -1,     3,   122,   123,   124,     7,     8,
       9,    10,    11,    -1,    13,    -1,    -1,    16,    17,    18,
      -1,    -1,    21,    -1,    -1,    -1,    25,    50,    27,    -1,
      29,    30,    -1,    32,    33,    34,    -1,    -1,    -1,    38,
      -1,    40,    -1,    66,    67,    -1,    -1,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    -1,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    63,    64,    65,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,    -1,
      -1,    -1,   115,   116,    -1,   118,    -1,   120,    -1,     4,
      -1,   124,    -1,    -1,   103,    -1,    -1,   106,   107,    -1,
     109,    -1,   111,   112,   113,   114,   115,   116,    -1,   118,
      -1,    -1,     3,   122,   123,   124,     7,     8,     9,    10,
      11,    -1,    13,    -1,    -1,    16,    17,    18,    -1,    -1,
      21,    -1,    -1,    -1,    25,    50,    27,    -1,    29,    30,
      -1,    32,    33,    34,    -1,    -1,    -1,    38,    -1,    40,
      -1,    66,    67,    -1,    -1,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    -1,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    63,    64,    65,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,    -1,    -1,    -1,
     115,   116,    -1,   118,    -1,   120,    -1,     4,    -1,   124,
      -1,    -1,   103,    -1,    -1,   106,   107,    -1,   109,    -1,
     111,   112,   113,   114,   115,   116,    -1,   118,    -1,    -1,
       3,   122,   123,   124,     7,     8,     9,    10,    11,    -1,
      13,    -1,    -1,    16,    17,    18,    -1,    -1,    21,    -1,
      -1,    -1,    25,    50,    27,    -1,    29,    30,    -1,    32,
      33,    34,    -1,    -1,    -1,    38,    -1,    40,    -1,    66,
      67,    -1,    -1,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    -1,    -1,    56,    57,     4,    -1,    -1,    -1,    -1,
      63,    64,    65,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,    66,    67,    -1,   115,   116,
      -1,   118,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,
     103,    50,    -1,   106,   107,    -1,   109,    -1,   111,   112,
     113,   114,   115,   116,    -1,   118,     4,    66,    67,   122,
      -1,   124,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,    -1,    66,    67,   115,   116,    -1,   118,    -1,   120,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    50,    -1,    -1,    -1,   115,   116,    -1,   118,
      -1,   120,    -1,   122,   108,   109,   110,     4,    66,    67,
      -1,   115,   116,    -1,   118,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    50,    -1,    -1,    -1,   115,   116,    -1,
     118,    -1,   120,    -1,   122,   108,   109,   110,     4,    66,
      67,    -1,   115,   116,    -1,   118,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    50,    -1,    -1,    -1,   115,   116,
      -1,   118,    -1,   120,    -1,   122,    -1,    -1,    -1,     4,
      66,    67,    -1,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    50,    -1,    -1,    -1,   115,
     116,    -1,   118,    -1,   120,    -1,   122,    -1,    -1,    -1,
       4,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    50,    -1,    -1,    -1,
     115,   116,    -1,   118,   119,   120,   106,   107,   108,   109,
     110,     4,    66,    67,    -1,   115,   116,    -1,   118,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    50,    -1,    -1,
      -1,   115,   116,    -1,   118,   119,   120,   106,   107,   108,
     109,   110,     4,    66,    67,    -1,   115,   116,    -1,   118,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    50,    -1,
      -1,    -1,   115,   116,    -1,   118,   119,   120,    -1,    -1,
      -1,    -1,    -1,     4,    66,    67,    -1,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    50,
      -1,    -1,    -1,   115,   116,    -1,   118,    -1,   120,    -1,
      -1,    -1,    -1,    -1,     4,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      50,    -1,    -1,    -1,   115,   116,    -1,   118,    -1,   120,
      -1,    -1,    -1,    -1,    -1,     4,    66,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    50,    -1,    -1,    -1,   115,   116,    -1,   118,   119,
     120,    -1,    -1,    -1,    -1,    -1,     4,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    50,    -1,    -1,    -1,   115,   116,    -1,   118,
     119,   120,    -1,    -1,    -1,    -1,    -1,     4,    66,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    50,    -1,    -1,    -1,   115,   116,    -1,
     118,   119,   120,    -1,    -1,    -1,    -1,    -1,     4,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    50,    -1,    -1,    -1,   115,   116,
      -1,   118,   119,   120,    -1,    -1,    -1,    -1,    -1,     4,
      66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    50,    -1,    -1,    -1,   115,
     116,    -1,   118,   119,   120,    -1,    -1,    -1,    -1,    -1,
       4,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    50,    -1,    -1,    -1,
     115,   116,    -1,   118,   119,   120,    -1,    -1,    -1,    -1,
      -1,     4,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    50,    -1,    -1,
      -1,   115,   116,    -1,   118,    -1,   120,    -1,    -1,    -1,
      -1,    -1,     4,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    50,    -1,
      -1,    -1,   115,   116,    -1,   118,    -1,   120,    -1,    -1,
      -1,    -1,    -1,     4,    66,    67,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    50,
      -1,    -1,    -1,   115,   116,    -1,   118,    -1,   120,   105,
     106,   107,   108,   109,   110,    66,    67,    -1,    -1,   115,
     116,    -1,   118,    -1,   120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      17,    18,    -1,    -1,   115,   116,    -1,   118,    -1,   120,
      -1,    -1,    -1,    30,    -1,    32,    33,    -1,    -1,    -1,
      -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      -1,    48,    -1,    -1,    -1,    52,    53,    -1,    -1,    -1,
      57,    30,    -1,    32,    33,    -1,    63,    64,    -1,    38,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      -1,    -1,    -1,    52,    53,    -1,    -1,    -1,    57,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,   106,
     107,    -1,   109,    -1,   111,   112,   113,   114,   115,   116,
      -1,   118,    -1,    -1,    -1,    -1,    -1,   124,    -1,    -1,
      -1,    -1,    -1,    -1,   103,    17,    18,   106,   107,    -1,
     109,    -1,   111,   112,   113,   114,   115,   116,    30,   118,
      32,    33,    17,    18,   123,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    66,    67,    -1,    30,    48,    32,    33,    -1,
      52,    53,    -1,    38,    -1,    57,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    48,    -1,    -1,    -1,    52,    53,    -1,
      -1,    -1,    57,    -1,    -1,    -1,    -1,    -1,    63,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,    -1,    -1,
      -1,   115,   116,    -1,   118,    -1,   120,    -1,    -1,    -1,
      -1,   103,    -1,    -1,   106,   107,    -1,   109,    -1,   111,
     112,   113,   114,   115,   116,    -1,   118,    -1,   103,    -1,
     122,   106,   107,    -1,   109,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,    17,    18,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    30,    -1,    32,
      33,    17,    18,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      66,    67,    -1,    -1,    30,    48,    32,    33,    -1,    52,
      53,    -1,    38,    -1,    57,    -1,    -1,    -1,    61,    -1,
      63,    -1,    48,    -1,    -1,    -1,    52,    53,    -1,    -1,
      -1,    57,    -1,    -1,    -1,    -1,    -1,    63,   104,   105,
     106,   107,   108,   109,   110,    -1,    -1,    -1,    -1,   115,
     116,    -1,   118,    -1,   120,    -1,    -1,    -1,    -1,    -1,
     103,    -1,    -1,   106,   107,    -1,   109,    -1,   111,   112,
     113,   114,   115,   116,    -1,   118,    -1,   103,    17,    18,
     106,   107,    -1,   109,    -1,   111,   112,   113,   114,   115,
     116,    30,   118,    32,    33,    -1,    -1,    -1,    -1,    38,
      -1,    -1,    -1,     5,     6,    -1,    -1,    -1,    -1,    48,
      12,    -1,    -1,    52,    53,    -1,    -1,    19,    57,    -1,
      22,    -1,    24,    25,    63,    -1,    28,    -1,    30,    -1,
      32,    33,    -1,    35,    36,    37,    -1,    -1,    -1,    -1,
      42,    43,    -1,    -1,    46,    -1,    48,    -1,    -1,    -1,
      -1,    53,    54,    55,    -1,    57,    58,    -1,    60,    -1,
      62,    63,    -1,    -1,   103,    -1,    -1,   106,   107,    -1,
     109,    -1,   111,   112,   113,   114,   115,   116,    -1,   118,
       5,     6,    -1,    -1,    -1,    -1,    -1,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    19,    -1,    -1,    22,    -1,    24,
      25,    -1,    -1,    28,    -1,    30,    -1,    32,    33,    -1,
      35,    36,    37,    -1,    66,    67,    -1,    42,    43,    -1,
      -1,    46,    -1,    48,    -1,    -1,    -1,    -1,    53,    54,
      55,    -1,    57,    58,    -1,    60,    -1,    62,    63,    91,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    66,
      67,    -1,    -1,   115,   116,    -1,   118,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    66,    67,    -1,    -1,   115,   116,
      -1,   118,    -1,   120,   104,   105,   106,   107,   108,   109,
     110,    -1,    -1,    -1,    -1,   115,   116,    -1,   118,    -1,
     120,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    66,
      67,    -1,    -1,   115,   116,    -1,   118,    -1,   120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    67,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,    -1,    -1,    -1,   115,   116,
      -1,   118,    -1,   120,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      66,    67,    -1,    -1,   115,   116,    -1,   118,    -1,   120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    67,    -1,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,    -1,    -1,    -1,   115,
     116,    -1,   118,    -1,   120,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    66,    67,    -1,    -1,   115,   116,    -1,   118,    -1,
     120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,    -1,    -1,    -1,
     115,   116,    -1,   118,    -1,   120
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    87,   126,   128,   127,     0,     7,     8,     9,    10,
      11,    15,    16,    25,    26,    30,    31,    32,    39,    49,
      61,   156,   166,   167,   188,    17,    18,    30,    32,    33,
      38,    48,    52,    53,    57,    63,   103,   106,   107,   109,
     111,   112,   113,   114,   115,   116,   118,   133,   174,   183,
     118,   118,   118,   199,   200,   199,   202,   203,   122,   199,
     199,   199,    33,    24,    25,    48,   197,   198,   197,   163,
     164,     3,    13,    16,    21,    25,    27,    29,    34,    38,
      40,    47,    51,    56,    64,    65,   122,   124,   133,   166,
     183,   187,   194,   118,   118,   175,   176,   139,    33,   196,
     118,   133,   118,   118,   118,   133,   133,   133,   140,   133,
     133,   133,   133,    33,   117,   133,   141,   133,     4,    50,
      66,    67,    90,    91,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   115,   116,   118,   120,   133,    33,    33,    92,
     177,   197,   177,   176,    33,   204,   157,   176,   177,   176,
     124,   197,   202,   197,   177,   204,    92,   122,   168,   165,
     166,   133,   124,   196,   133,    33,   189,   124,   118,   118,
     196,   124,   141,    64,   124,   133,   133,   118,   118,    88,
     207,   124,    90,   187,   133,    33,   153,   154,   155,   122,
     171,   133,    90,   141,   122,   141,   142,   135,   142,   103,
      45,    90,   176,    89,   117,   119,   133,   133,     5,     6,
      12,    19,    22,    24,    25,    28,    30,    32,    33,    35,
      36,    37,    42,    43,    46,    48,    53,    54,    55,    57,
      58,    60,    62,    63,   146,   205,   146,   133,   133,   133,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   133,   133,   133,   133,    33,   129,   133,
     141,   137,    33,   119,   119,   119,   146,     4,    50,    90,
     178,   201,   178,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,   184,   185,   186,   128,   184,   178,   184,     4,
     176,   159,   178,   162,   169,   168,   165,   124,    88,   206,
     177,   124,   118,   124,   206,    33,   116,   133,   177,   206,
     124,   118,   206,   124,   122,   130,   131,   133,   188,   206,
     133,   119,    92,   119,    89,   124,   172,   133,   119,   189,
     119,   142,   119,    44,   133,    90,   133,   122,   118,    41,
     176,   118,    41,    41,   122,   116,   116,   122,    41,    92,
      92,   117,   142,   179,   180,   179,    90,    90,    90,    90,
      90,    90,    90,    90,    90,    90,    90,    90,    90,   186,
     123,   179,   122,   184,     4,   179,   146,   188,   206,   178,
     206,   142,   206,    89,   101,   195,   196,   119,   178,   206,
     130,   206,   190,   119,   133,   119,   123,   124,   146,    92,
     155,   155,   188,   123,   184,   119,   134,   149,   153,   146,
     153,   146,    33,   147,   146,   150,   150,   150,   146,   133,
     129,   133,   138,   184,   122,   133,   182,   184,   133,   133,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
      17,   184,   158,   122,   184,   184,   170,   179,   119,    33,
     133,    89,   117,   187,   179,   119,    14,    20,   123,   191,
     187,   132,   187,   206,   184,   146,   173,   136,   171,    33,
     143,   144,   145,   119,   119,   151,    89,   117,   117,   123,
     117,   119,   124,   141,   142,   181,   124,   124,   143,   160,
     124,   124,   123,   184,   101,   119,   196,    89,   101,    23,
     184,   187,    61,   141,   192,   193,    92,    59,   123,   184,
      86,    90,   208,   123,    89,    33,   148,   152,   146,    41,
      89,   123,   123,   151,   124,   133,    33,   133,   187,   124,
      59,   146,    92,    89,    92,   188,   133,    90,    17,   107,
     145,    92,   123,   146,   123,   124,   161,   206,   119,   101,
     119,   206,   133,    66,   188,   193,   188,   122,    17,   208,
      17,   146,   123,   133,   122,    33,   207,   184,   184,   119,
     207,   188,   124,   124,   188,   123,   123,    32,    38,    53,
      57,   106,   107,   111,   112,   113,   114,   115,     4,    50,
      66,    67,    90,    91,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   133,    28,    30,    37,    57,    63,    89,   139,
     196,   118,   118,   133,   133,   133,   133,   133,   133,    33,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,    41,   118,    41,   116,    41,   133,   133,    90,
     142,   135,    90,    92,   153,   150,   133,   119,   142,   133,
     133,   119,   117,    68,    69,    72,    73,    74,    75,    76,
      78,    79,    81,    82,    85,   185,   119,    41,    90,    90,
      90,    90,    90,    90,    90,    90,    90,    90,    90,    90,
     136,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,   125,   126,   127,   126,   128,   128,   129,   129,   131,
     132,   130,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   133,   133,   133,   133,   133,   133,   133,
     133,   133,   133,   133,   133,   134,   133,   133,   133,   133,
     133,   133,   135,   136,   133,   133,   133,   137,   138,   133,
     139,   133,   133,   133,   133,   133,   133,   140,   133,   133,
     133,   133,   141,   141,   142,   142,   143,   143,   144,   144,
     145,   145,   145,   146,   146,   146,   146,   146,   146,   146,
     146,   146,   146,   146,   146,   146,   146,   146,   147,   148,
     146,   146,   149,   146,   146,   146,   146,   146,   146,   146,
     146,   146,   146,   146,   150,   150,   151,   151,   152,   153,
     153,   153,   154,   154,   154,   155,   156,   157,   156,   156,
     156,   156,   156,   158,   156,   159,   160,   161,   156,   162,
     156,   163,   156,   164,   156,   156,   165,   165,   166,   166,
     166,   166,   166,   167,   167,   167,   167,   169,   170,   168,
     172,   173,   171,   174,   175,   176,   176,   177,   177,   178,
     178,   178,   178,   180,   181,   179,   179,   182,   182,   182,
     183,   184,   184,   185,   185,   186,   186,   186,   186,   186,
     186,   186,   186,   186,   186,   186,   186,   186,   186,   186,
     186,   186,   186,   186,   186,   187,   187,   187,   187,   187,
     187,   187,   187,   187,   187,   187,   187,   187,   187,   187,
     187,   187,   187,   187,   187,   187,   187,   187,   187,   187,
     188,   188,   189,   190,   190,   191,   191,   191,   192,   192,
     193,   193,   194,   194,   194,   194,   195,   195,   196,   198,
     197,   200,   201,   199,   203,   202,   204,   205,   206,   206,
     207,   207,   208,   208,   208
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     0,     3,     2,     0,     1,     0,     0,
       0,     3,     3,     4,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     5,     3,
       4,     4,     1,     3,     4,     0,     6,     3,     3,     3,
       2,     4,     0,     0,     7,     5,     4,     0,     0,     6,
       0,     3,     3,     1,     5,     1,     1,     0,     4,     3,
       3,     3,     3,     1,     1,     0,     1,     2,     1,     3,
       4,     4,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     6,     4,     0,     0,
       6,     4,     0,     5,     1,     3,     3,     2,     4,     4,
       3,     1,     3,     1,     3,     1,     2,     0,     5,     1,
       2,     0,     3,     3,     1,     4,     3,     0,     5,     7,
       7,     7,     7,     0,     9,     0,     0,     0,    12,     0,
       7,     0,     3,     0,     4,     1,     1,     2,     4,     4,
       4,     1,     1,     4,     4,     4,     5,     0,     0,     5,
       0,     0,     5,     3,     1,     5,     3,     2,     0,     0,
       1,     1,     1,     0,     0,     3,     0,     3,     4,     1,
       6,     1,     0,     2,     1,     3,     1,     1,     3,     3,
       3,     3,     1,     3,     3,     3,     3,     3,     1,     3,
       3,     1,     1,     1,     3,     4,     4,     4,     5,     7,
       5,     2,     5,     3,     3,     3,     3,     4,     4,     4,
       8,     8,     5,    11,     6,    12,     5,     3,     1,     1,
       2,     0,     4,     2,     0,     4,     4,     3,     3,     1,
       2,     4,     6,     8,     8,    10,     3,     1,     1,     0,
       2,     0,     0,     3,     0,     2,     1,     1,     1,     0,
       1,     0,     1,     3,     0
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2:
#line 263 "parse.y"
    {
			if ( zeek::detail::stmts )
				zeek::detail::stmts->AsStmtList()->Stmts().push_back((yyvsp[0].stmt));
			else
				zeek::detail::stmts = (yyvsp[0].stmt);

			// Any objects creates from here on out should not
			// have file positions associated with them.
			zeek::detail::set_location(zeek::detail::no_location);
			}
#line 2600 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 3:
#line 277 "parse.y"
    { in_debug = true; }
#line 2606 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 4:
#line 278 "parse.y"
    {
			g_curr_debug_expr = (yyvsp[0].expr);
			}
#line 2614 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 7:
#line 290 "parse.y"
    { (yyval.expr) = (yyvsp[0].expr); }
#line 2620 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 8:
#line 292 "parse.y"
    { (yyval.expr) = 0; }
#line 2626 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 9:
#line 296 "parse.y"
    { ++in_when_cond; }
#line 2632 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 10:
#line 296 "parse.y"
    { --in_when_cond; }
#line 2638 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 11:
#line 297 "parse.y"
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 2644 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 12:
#line 302 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = (yyvsp[-1].expr); (yyval.expr)->MarkParen();
			}
#line 2653 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 13:
#line 308 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::CloneExpr({zeek::AdoptRef{}, (yyvsp[-1].expr)});
			}
#line 2662 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 14:
#line 314 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::IncrExpr(zeek::detail::EXPR_INCR, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2671 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 15:
#line 320 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::IncrExpr(zeek::detail::EXPR_DECR, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2680 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 16:
#line 326 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::NotExpr({zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2689 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 17:
#line 332 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::ComplementExpr({zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2698 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 18:
#line 338 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::NegExpr({zeek::AdoptRef{}, (yyvsp[0].expr)});

			if ( ! (yyval.expr)->IsError() && (yyvsp[0].expr)->IsConst() )
				{
				auto v = (yyvsp[0].expr)->ExprVal();
				auto tag = v->GetType()->Tag();

				if ( tag == zeek::TYPE_COUNT )
					{
					auto c = v->AsCount();
					uint64_t int_max = static_cast<uint64_t>(INT64_MAX) + 1;

					if ( c <= int_max )
						{
						auto ce = new zeek::detail::ConstExpr(zeek::val_mgr->Int(-c));
						Unref((yyval.expr));
						(yyval.expr) = ce;
						}
					else
						{
						(yyval.expr)->Error("literal is outside range of 'int' values");
						(yyval.expr)->SetError();
						}
					}
				else
					{
					auto ce = new zeek::detail::ConstExpr((yyval.expr)->Eval(nullptr));
					Unref((yyval.expr));
					(yyval.expr) = ce;
					}
				}
			}
#line 2737 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 19:
#line 374 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::PosExpr({zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2746 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 20:
#line 380 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::AddExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2755 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 21:
#line 386 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::AddToExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2764 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 22:
#line 392 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::SubExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2773 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 23:
#line 398 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RemoveFromExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2782 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 24:
#line 404 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::TimesExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2791 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 25:
#line 410 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::DivideExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2800 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 26:
#line 416 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::ModExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2809 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 27:
#line 422 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::BitExpr(zeek::detail::EXPR_AND, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2818 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 28:
#line 428 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::BitExpr(zeek::detail::EXPR_OR, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2827 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 29:
#line 434 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::BitExpr(zeek::detail::EXPR_XOR, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2836 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 30:
#line 440 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::BoolExpr(zeek::detail::EXPR_AND_AND, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2845 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 31:
#line 446 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::BoolExpr(zeek::detail::EXPR_OR_OR, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2854 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 32:
#line 452 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::EqExpr(zeek::detail::EXPR_EQ, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2863 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 33:
#line 458 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::EqExpr(zeek::detail::EXPR_NE, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2872 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 34:
#line 464 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RelExpr(zeek::detail::EXPR_LT, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2881 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 35:
#line 470 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RelExpr(zeek::detail::EXPR_LE, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2890 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 36:
#line 476 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RelExpr(zeek::detail::EXPR_GT, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2899 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 37:
#line 482 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RelExpr(zeek::detail::EXPR_GE, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2908 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 38:
#line 488 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::CondExpr({zeek::AdoptRef{}, (yyvsp[-4].expr)}, {zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2917 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 39:
#line 494 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));

			if ( (yyvsp[-2].expr)->Tag() == zeek::detail::EXPR_INDEX && (yyvsp[-2].expr)->AsIndexExpr()->IsSlice() )
				zeek::reporter->Error("index slice assignment may not be used"
				                      " in arbitrary expression contexts, only"
				                      " as a statement");

			(yyval.expr) = zeek::detail::get_assign_expr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)}, in_init).release();
			}
#line 2932 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 40:
#line 506 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = zeek::detail::add_and_assign_local({zeek::AdoptRef{}, (yyvsp[-2].id)}, {zeek::AdoptRef{}, (yyvsp[0].expr)},
			                                        zeek::val_mgr->True()).release();
			}
#line 2942 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 41:
#line 513 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			if ( in_when_cond > 0 )
				(yyval.expr) = new zeek::detail::IndexExprWhen({zeek::AdoptRef{}, (yyvsp[-3].expr)}, {zeek::AdoptRef{}, (yyvsp[-1].list)});
			else
				(yyval.expr) = new zeek::detail::IndexExpr({zeek::AdoptRef{}, (yyvsp[-3].expr)}, {zeek::AdoptRef{}, (yyvsp[-1].list)});
			}
#line 2954 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 43:
#line 524 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::FieldExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, (yyvsp[0].str));
			}
#line 2963 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 44:
#line 530 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::FieldAssignExpr((yyvsp[-2].str), {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2972 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 45:
#line 536 "parse.y"
    {
			func_hdr_location = (yylsp[-3]);
			auto func_id = zeek::detail::current_scope()->GenerateTemporary("anonymous-function");
			func_id->SetInferReturnType(true);
			zeek::detail::begin_func(std::move(func_id), zeek::detail::current_module.c_str(),
			                         zeek::FUNC_FLAVOR_FUNCTION, false,
			                         {zeek::AdoptRef{}, (yyvsp[-1].func_type)});
			}
#line 2985 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 46:
#line 545 "parse.y"
    {
			(yyval.expr) = new zeek::detail::FieldAssignExpr((yyvsp[-4].str), zeek::IntrusivePtr{zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 2993 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 47:
#line 550 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::InExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 3002 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 48:
#line 556 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::NotExpr(zeek::make_intrusive<zeek::detail::InExpr>(
			        zeek::detail::ExprPtr{zeek::AdoptRef{}, (yyvsp[-2].expr)},
			        zeek::detail::ExprPtr{zeek::AdoptRef{}, (yyvsp[0].expr)}));
			}
#line 3013 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 49:
#line 564 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));

			bool is_record_ctor = true;

			// If every expression in the list is a field assignment,
			// then treat it as a record constructor, else as a list
			// used for an initializer.

			for ( int i = 0; i < (yyvsp[-1].list)->Exprs().length(); ++i )
				{
				if ( (yyvsp[-1].list)->Exprs()[i]->Tag() != zeek::detail::EXPR_FIELD_ASSIGN )
					{
					is_record_ctor = false;
					break;
					}
				}

			if ( is_record_ctor )
				(yyval.expr) = new zeek::detail::RecordConstructorExpr({zeek::AdoptRef{}, (yyvsp[-1].list)});
			else
				(yyval.expr) = (yyvsp[-1].list);
			}
#line 3041 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 50:
#line 589 "parse.y"
    {
			// We interpret this as an empty record constructor.
			(yyval.expr) = new zeek::detail::RecordConstructorExpr(zeek::make_intrusive<zeek::detail::ListExpr>());
			}
#line 3050 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 51:
#line 596 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::RecordConstructorExpr({zeek::AdoptRef{}, (yyvsp[-1].list)});
			}
#line 3059 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 52:
#line 601 "parse.y"
    { ++in_init; }
#line 3065 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 53:
#line 601 "parse.y"
    { --in_init; }
#line 3071 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 54:
#line 603 "parse.y"
    { // the ++in_init fixes up the parsing of "[x] = y"
			zeek::detail::set_location((yylsp[-6]), (yylsp[-2]));
			std::unique_ptr<std::vector<zeek::detail::AttrPtr>> attrs{(yyvsp[0].attr_l)};
			(yyval.expr) = new zeek::detail::TableConstructorExpr({zeek::AdoptRef{}, (yyvsp[-3].list)}, std::move(attrs));
			}
#line 3081 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 55:
#line 610 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[-1]));
			std::unique_ptr<std::vector<zeek::detail::AttrPtr>> attrs{(yyvsp[0].attr_l)};
			(yyval.expr) = new zeek::detail::SetConstructorExpr({zeek::AdoptRef{}, (yyvsp[-2].list)}, std::move(attrs));
			}
#line 3091 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 56:
#line 617 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::VectorConstructorExpr({zeek::AdoptRef{}, (yyvsp[-1].list)});
			}
#line 3100 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 57:
#line 623 "parse.y"
    {
			if ( expr_is_table_type_name((yyvsp[-1].expr)) )
				++in_init;
			}
#line 3109 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 58:
#line 629 "parse.y"
    {
			if ( expr_is_table_type_name((yyvsp[-3].expr)) )
				--in_init;
			}
#line 3118 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 59:
#line 635 "parse.y"
    {
			zeek::detail::set_location((yylsp[-5]), (yylsp[0]));

			if ( (yyvsp[-5].expr)->Tag() == zeek::detail::EXPR_NAME && (yyvsp[-5].expr)->AsNameExpr()->Id()->IsType() )
				{
				const auto& ctor_type = (yyvsp[-5].expr)->AsNameExpr()->Id()->GetType();

				switch ( ctor_type->Tag() ) {
				case zeek::TYPE_RECORD:
					{
					auto rce = zeek::make_intrusive<zeek::detail::RecordConstructorExpr>(
						zeek::detail::ListExprPtr{zeek::AdoptRef{}, (yyvsp[-2].list)});
					auto rt = zeek::cast_intrusive<zeek::RecordType>(ctor_type);
					(yyval.expr) = new zeek::detail::RecordCoerceExpr(std::move(rce), std::move(rt));
					}
					break;

				case zeek::TYPE_TABLE:
					if ( ctor_type->IsTable() )
						(yyval.expr) = new zeek::detail::TableConstructorExpr({zeek::AdoptRef{}, (yyvsp[-2].list)}, 0, ctor_type);
					else
						(yyval.expr) = new zeek::detail::SetConstructorExpr({zeek::AdoptRef{}, (yyvsp[-2].list)}, 0, ctor_type);

					break;

				case zeek::TYPE_VECTOR:
					(yyval.expr) = new zeek::detail::VectorConstructorExpr({zeek::AdoptRef{}, (yyvsp[-2].list)}, ctor_type);
					break;

				default:
					(yyvsp[-5].expr)->Error("constructor type not implemented");
					YYERROR;
				}
				}

			else
				(yyval.expr) = new zeek::detail::CallExpr({zeek::AdoptRef{}, (yyvsp[-5].expr)}, {zeek::AdoptRef{}, (yyvsp[-2].list)}, in_hook > 0);
			}
#line 3161 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 60:
#line 674 "parse.y"
    { ++in_hook; }
#line 3167 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 61:
#line 675 "parse.y"
    {
			--in_hook;
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			if ( (yyvsp[0].expr)->Tag() != zeek::detail::EXPR_CALL )
				(yyvsp[0].expr)->Error("not a valid hook call expression");
			(yyval.expr) = (yyvsp[0].expr);
			}
#line 3179 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 62:
#line 684 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::HasFieldExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, (yyvsp[0].str));
			}
#line 3188 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 64:
#line 693 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::ScheduleExpr({zeek::AdoptRef{}, (yyvsp[-3].expr)}, {zeek::AdoptRef{}, (yyvsp[-1].event_expr)});
			}
#line 3197 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 65:
#line 699 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			auto id = zeek::detail::lookup_ID((yyvsp[0].str), zeek::detail::current_module.c_str());

			if ( ! id )
				{
				if ( ! in_debug )
					{
/*	// CHECK THAT THIS IS NOT GLOBAL.
					id = install_ID($1, zeek::detail::current_module.c_str(),
							        false, is_export);
*/

					yyerror(zeek::util::fmt("unknown identifier %s", (yyvsp[0].str)));
					YYERROR;
					}
				else
					{
					yyerror(zeek::util::fmt("unknown identifier %s", (yyvsp[0].str)));
					YYERROR;
					}
				}
			else
				{
				if ( id->IsDeprecated() )
					zeek::reporter->Warning("%s", id->GetDeprecationWarning().c_str());

				if ( ! id->GetType() )
					{
					id->Error("undeclared variable");
					id->SetType(zeek::error_type());
					(yyval.expr) = new zeek::detail::NameExpr(std::move(id));
					}

				else if ( id->IsEnumConst() )
					{
					zeek::EnumType* t = id->GetType()->AsEnumType();
					auto intval = t->Lookup(id->ModuleName(), id->Name());
					if ( intval < 0 )
						zeek::reporter->InternalError("enum value not found for %s", id->Name());
					(yyval.expr) = new zeek::detail::ConstExpr(t->GetEnumVal(intval));
					}
				else
					{
					(yyval.expr) = new zeek::detail::NameExpr(std::move(id));
					}
				}
			}
#line 3250 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 66:
#line 749 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			(yyval.expr) = new zeek::detail::ConstExpr({zeek::AdoptRef{}, (yyvsp[0].val)});
			}
#line 3259 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 67:
#line 754 "parse.y"
    { begin_RE(); }
#line 3265 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 68:
#line 755 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]));

			auto* re = new zeek::RE_Matcher((yyvsp[-1].str));
			delete [] (yyvsp[-1].str);

			if ( (yyvsp[0].b) )
				re->MakeCaseInsensitive();

			re->Compile();
			(yyval.expr) = new zeek::detail::ConstExpr(zeek::make_intrusive<zeek::PatternVal>(re));
			}
#line 3282 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 69:
#line 769 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			zeek::detail::ExprPtr e{zeek::AdoptRef{}, (yyvsp[-1].expr)};
			(yyval.expr) = new zeek::detail::SizeExpr(std::move(e));
			}
#line 3292 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 70:
#line 776 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::CastExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].type)});
			}
#line 3301 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 71:
#line 782 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.expr) = new zeek::detail::IsExpr({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].type)});
			}
#line 3310 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 72:
#line 790 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyvsp[-2].list)->Append({zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 3319 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 73:
#line 796 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			(yyval.list) = new zeek::detail::ListExpr({zeek::AdoptRef{}, (yyvsp[0].expr)});
			}
#line 3328 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 75:
#line 805 "parse.y"
    { (yyval.list) = new zeek::detail::ListExpr(); }
#line 3334 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 76:
#line 810 "parse.y"
    {
			(yyval.type) = cur_enum_type;
			cur_enum_type = nullptr;
			}
#line 3343 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 77:
#line 816 "parse.y"
    {
			(yyval.type) = cur_enum_type;
			cur_enum_type = nullptr;
			}
#line 3352 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 80:
#line 835 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
			assert(cur_enum_type);

			if ( (yyvsp[-1].val)->GetType()->Tag() != zeek::TYPE_COUNT )
				zeek::reporter->Error("enumerator is not a count constant");
			else
				cur_enum_type->AddName(zeek::detail::current_module, (yyvsp[-3].str),
				                       (yyvsp[-1].val)->InternalUnsigned(), is_export, (yyvsp[0].expr),
				                       in_enum_redef != 0);
			}
#line 3368 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 81:
#line 848 "parse.y"
    {
			/* We only accept counts as enumerator, but we want to return a nice
			   error message if users triy to use a negative integer (will also
			   catch other cases, but that's fine.)
			*/
			zeek::reporter->Error("enumerator is not a count constant");
			}
#line 3380 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 82:
#line 857 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]));
			assert(cur_enum_type);
			cur_enum_type->AddName(zeek::detail::current_module, (yyvsp[-1].str), is_export, (yyvsp[0].expr),
			                       in_enum_redef != 0);
			}
#line 3391 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 83:
#line 866 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_BOOL)->Ref();
				}
#line 3400 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 84:
#line 871 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_INT)->Ref();
				}
#line 3409 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 85:
#line 876 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_COUNT)->Ref();
				}
#line 3418 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 86:
#line 881 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_DOUBLE)->Ref();
				}
#line 3427 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 87:
#line 886 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_TIME)->Ref();
				}
#line 3436 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 88:
#line 891 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_INTERVAL)->Ref();
				}
#line 3445 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 89:
#line 896 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_STRING)->Ref();
				}
#line 3454 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 90:
#line 901 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_PATTERN)->Ref();
				}
#line 3463 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 91:
#line 906 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_TIMER)->Ref();
				}
#line 3472 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 92:
#line 911 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_PORT)->Ref();
				}
#line 3481 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 93:
#line 916 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_ADDR)->Ref();
				}
#line 3490 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 94:
#line 921 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_SUBNET)->Ref();
				}
#line 3499 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 95:
#line 926 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = zeek::base_type(zeek::TYPE_ANY)->Ref();
				}
#line 3508 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 96:
#line 932 "parse.y"
    {
				zeek::detail::set_location((yylsp[-5]), (yylsp[0]));
				(yyval.type) = new zeek::TableType({zeek::AdoptRef{}, (yyvsp[-3].type_l)}, {zeek::AdoptRef{}, (yyvsp[0].type)});
				}
#line 3517 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 97:
#line 938 "parse.y"
    {
				zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
				(yyval.type) = new zeek::SetType({zeek::AdoptRef{}, (yyvsp[-1].type_l)}, nullptr);
				}
#line 3526 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 98:
#line 944 "parse.y"
    { ++in_record; }
#line 3532 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 99:
#line 946 "parse.y"
    { --in_record; }
#line 3538 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 100:
#line 948 "parse.y"
    {
				zeek::detail::set_location((yylsp[-5]), (yylsp[-1]));
				(yyval.type) = new zeek::RecordType((yyvsp[-2].type_decl_l));
				}
#line 3547 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 101:
#line 954 "parse.y"
    {
				zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
				zeek::reporter->Error("union type not implemented");
				(yyval.type) = 0;
				}
#line 3557 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 102:
#line 960 "parse.y"
    { zeek::detail::set_location((yylsp[-1])); parser_new_enum(); }
#line 3563 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 103:
#line 961 "parse.y"
    {
				zeek::detail::set_location((yylsp[-4]), (yylsp[0]));
				(yyvsp[-1].type)->UpdateLocationEndInfo((yylsp[0]));
				(yyval.type) = (yyvsp[-1].type);
				}
#line 3573 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 104:
#line 968 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				// $$ = new TypeList();
				zeek::reporter->Error("list type not implemented");
				(yyval.type) = 0;
				}
#line 3584 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 105:
#line 976 "parse.y"
    {
				zeek::detail::set_location((yylsp[-2]));
				// $$ = new TypeList($3);
				zeek::reporter->Error("list type not implemented");
				(yyval.type) = 0;
				}
#line 3595 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 106:
#line 984 "parse.y"
    {
				zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
				(yyval.type) = new zeek::VectorType({zeek::AdoptRef{}, (yyvsp[0].type)});
				}
#line 3604 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 107:
#line 990 "parse.y"
    {
				zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
				(yyval.type) = (yyvsp[0].func_type);
				}
#line 3613 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 108:
#line 996 "parse.y"
    {
				zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
				(yyval.type) = new zeek::FuncType({zeek::AdoptRef{}, (yyvsp[-1].record)}, nullptr, zeek::FUNC_FLAVOR_EVENT);
				}
#line 3622 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 109:
#line 1002 "parse.y"
    {
				zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
				(yyval.type) = new zeek::FuncType({zeek::AdoptRef{}, (yyvsp[-1].record)}, zeek::base_type(zeek::TYPE_BOOL), zeek::FUNC_FLAVOR_HOOK);
				}
#line 3631 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 110:
#line 1008 "parse.y"
    {
				zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
				(yyval.type) = new zeek::FileType({zeek::AdoptRef{}, (yyvsp[0].type)});
				}
#line 3640 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 111:
#line 1014 "parse.y"
    {
				zeek::detail::set_location((yylsp[0]));
				(yyval.type) = new zeek::FileType(zeek::base_type(zeek::TYPE_STRING));
				}
#line 3649 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 112:
#line 1020 "parse.y"
    {
				zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
				(yyval.type) = new zeek::OpaqueType((yyvsp[0].str));
				}
#line 3658 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 113:
#line 1026 "parse.y"
    {
			if ( ! (yyvsp[0].id) || ! ((yyval.type) = (yyvsp[0].id)->IsType() ? (yyvsp[0].id)->GetType().get() : nullptr) )
				{
				zeek::detail::NullStmt here;
				if ( (yyvsp[0].id) )
					(yyvsp[0].id)->Error("not a Zeek type", &here);
				(yyval.type) = zeek::error_type()->Ref();
				}
			else
				{
				Ref((yyval.type));

				if ( (yyvsp[0].id)->IsDeprecated() )
					zeek::reporter->Warning("%s", (yyvsp[0].id)->GetDeprecationWarning().c_str());
				}
			}
#line 3679 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 114:
#line 1046 "parse.y"
    { (yyvsp[-2].type_l)->AppendEvenIfNotPure({zeek::AdoptRef{}, (yyvsp[0].type)}); }
#line 3685 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 115:
#line 1048 "parse.y"
    {
			(yyval.type_l) = new zeek::TypeList({zeek::NewRef{}, (yyvsp[0].type)});
			(yyval.type_l)->Append({zeek::AdoptRef{}, (yyvsp[0].type)});
			}
#line 3694 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 116:
#line 1056 "parse.y"
    {
			(yyvsp[-1].type_decl_l)->push_back((yyvsp[0].type_decl));
			}
#line 3702 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 117:
#line 1060 "parse.y"
    {
			(yyval.type_decl_l) = new zeek::type_decl_list();
			}
#line 3710 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 118:
#line 1067 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[-1]));
			auto attrs = make_attributes((yyvsp[-1].attr_l), {zeek::NewRef{}, (yyvsp[-2].type)}, in_record > 0, false);
			(yyval.type_decl) = new zeek::TypeDecl((yyvsp[-4].str), {zeek::AdoptRef{}, (yyvsp[-2].type)}, std::move(attrs));

			if ( in_record > 0 && cur_decl_type_id )
				zeek::detail::zeekygen_mgr->RecordField(cur_decl_type_id, (yyval.type_decl), ::filename,
				                                        in_record_redef != 0);
			}
#line 3724 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 119:
#line 1080 "parse.y"
    { (yyval.record) = new zeek::RecordType((yyvsp[0].type_decl_l)); }
#line 3730 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 120:
#line 1082 "parse.y"
    { (yyval.record) = new zeek::RecordType((yyvsp[-1].type_decl_l)); }
#line 3736 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 121:
#line 1084 "parse.y"
    { (yyval.record) = new zeek::RecordType(new zeek::type_decl_list()); }
#line 3742 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 122:
#line 1089 "parse.y"
    { (yyvsp[-2].type_decl_l)->push_back((yyvsp[0].type_decl)); }
#line 3748 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 123:
#line 1091 "parse.y"
    { (yyvsp[-2].type_decl_l)->push_back((yyvsp[0].type_decl)); }
#line 3754 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 124:
#line 1093 "parse.y"
    { (yyval.type_decl_l) = new zeek::type_decl_list(); (yyval.type_decl_l)->push_back((yyvsp[0].type_decl)); }
#line 3760 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 125:
#line 1098 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			auto attrs = make_attributes((yyvsp[0].attr_l), {zeek::NewRef{}, (yyvsp[-1].type)}, true, false);
			(yyval.type_decl) = new zeek::TypeDecl((yyvsp[-3].str), {zeek::AdoptRef{}, (yyvsp[-1].type)}, std::move(attrs));
			}
#line 3770 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 126:
#line 1107 "parse.y"
    {
			zeek::detail::current_module = (yyvsp[-1].str);
			zeek::detail::zeekygen_mgr->ModuleUsage(::filename, zeek::detail::current_module);
			}
#line 3779 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 127:
#line 1112 "parse.y"
    { is_export = true; }
#line 3785 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 128:
#line 1113 "parse.y"
    { is_export = false; }
#line 3791 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 129:
#line 1116 "parse.y"
    {
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-5].id)};
			zeek::detail::add_global(id, {zeek::AdoptRef{}, (yyvsp[-4].type)}, (yyvsp[-3].ic), {zeek::AdoptRef{}, (yyvsp[-2].expr)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-1].attr_l)},
			                         zeek::detail::VAR_REGULAR);
			zeek::detail::zeekygen_mgr->Identifier(std::move(id));
			}
#line 3803 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 130:
#line 1125 "parse.y"
    {
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-5].id)};
			zeek::detail::add_global(id, {zeek::AdoptRef{}, (yyvsp[-4].type)}, (yyvsp[-3].ic), {zeek::AdoptRef{}, (yyvsp[-2].expr)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-1].attr_l)},
			                         zeek::detail::VAR_OPTION);
			zeek::detail::zeekygen_mgr->Identifier(std::move(id));
			}
#line 3815 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 131:
#line 1134 "parse.y"
    {
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-5].id)};
			zeek::detail::add_global(id, {zeek::AdoptRef{}, (yyvsp[-4].type)}, (yyvsp[-3].ic), {zeek::AdoptRef{}, (yyvsp[-2].expr)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-1].attr_l)},
			                         zeek::detail::VAR_CONST);
			zeek::detail::zeekygen_mgr->Identifier(std::move(id));
			}
#line 3827 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 132:
#line 1143 "parse.y"
    {
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-5].id)};
			zeek::detail::ExprPtr init{zeek::AdoptRef{}, (yyvsp[-2].expr)};
			zeek::detail::add_global(id, {zeek::AdoptRef{}, (yyvsp[-4].type)}, (yyvsp[-3].ic), init,
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-1].attr_l)},
			                         zeek::detail::VAR_REDEF);
			zeek::detail::zeekygen_mgr->Redef(id.get(), ::filename, (yyvsp[-3].ic), std::move(init));
			}
#line 3840 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 133:
#line 1153 "parse.y"
    { ++in_enum_redef; parser_redef_enum((yyvsp[-2].id)); zeek::detail::zeekygen_mgr->Redef((yyvsp[-2].id), ::filename); }
#line 3846 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 134:
#line 1155 "parse.y"
    {
			--in_enum_redef;
			// Zeekygen already grabbed new enum IDs as the type created them.
			}
#line 3855 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 135:
#line 1161 "parse.y"
    { cur_decl_type_id = (yyvsp[0].id); zeek::detail::zeekygen_mgr->Redef((yyvsp[0].id), ::filename); }
#line 3861 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 136:
#line 1163 "parse.y"
    { ++in_record; ++in_record_redef; }
#line 3867 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 137:
#line 1165 "parse.y"
    { --in_record; --in_record_redef; }
#line 3873 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 138:
#line 1167 "parse.y"
    {
			cur_decl_type_id = 0;

			if ( ! (yyvsp[-9].id)->GetType() )
				(yyvsp[-9].id)->Error("unknown identifier");
			else
				extend_record((yyvsp[-9].id), std::unique_ptr<zeek::type_decl_list>((yyvsp[-4].type_decl_l)),
				              std::unique_ptr<std::vector<zeek::detail::AttrPtr>>((yyvsp[-1].attr_l)));
			}
#line 3887 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 139:
#line 1178 "parse.y"
    { cur_decl_type_id = (yyvsp[-1].id); zeek::detail::zeekygen_mgr->StartType({zeek::NewRef{}, (yyvsp[-1].id)});  }
#line 3893 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 140:
#line 1180 "parse.y"
    {
			cur_decl_type_id = 0;
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-5].id)};
			zeek::detail::add_type(id.get(), {zeek::AdoptRef{}, (yyvsp[-2].type)},
			                       std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-1].attr_l)});
			zeek::detail::zeekygen_mgr->Identifier(std::move(id));
			}
#line 3905 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 141:
#line 1188 "parse.y"
    { func_hdr_location = (yylsp[0]); }
#line 3911 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 143:
#line 1190 "parse.y"
    { func_hdr_location = (yylsp[0]); }
#line 3917 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 148:
#line 1201 "parse.y"
    { do_atif((yyvsp[-1].expr)); }
#line 3923 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 149:
#line 1203 "parse.y"
    { do_atifdef((yyvsp[-1].str)); }
#line 3929 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 150:
#line 1205 "parse.y"
    { do_atifndef((yyvsp[-1].str)); }
#line 3935 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 151:
#line 1207 "parse.y"
    { do_atendif(); }
#line 3941 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 152:
#line 1209 "parse.y"
    { do_atelse(); }
#line 3947 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 153:
#line 1214 "parse.y"
    {
			zeek::IntrusivePtr id{zeek::AdoptRef{}, (yyvsp[-2].id)};
			zeek::detail::begin_func(id, zeek::detail::current_module.c_str(),
				                     zeek::FUNC_FLAVOR_FUNCTION, 0, {zeek::NewRef{}, (yyvsp[-1].func_type)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[0].attr_l)});
			(yyval.func_type) = (yyvsp[-1].func_type);
			zeek::detail::zeekygen_mgr->Identifier(std::move(id));
			}
#line 3960 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 154:
#line 1223 "parse.y"
    {
			const char* name = (yyvsp[-2].id)->Name();
			if ( zeek::util::streq("bro_init", name) || zeek::util::streq("bro_done", name) || zeek::util::streq("bro_script_loaded", name) )
				{
				auto base = std::string(name).substr(4);
				zeek::reporter->Error("event %s() is no longer available, use zeek_%s() instead", name, base.c_str());
				}

			zeek::detail::begin_func({zeek::NewRef{}, (yyvsp[-2].id)}, zeek::detail::current_module.c_str(),
				                     zeek::FUNC_FLAVOR_EVENT, 0, {zeek::NewRef{}, (yyvsp[-1].func_type)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[0].attr_l)});
			(yyval.func_type) = (yyvsp[-1].func_type);
			}
#line 3978 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 155:
#line 1237 "parse.y"
    {
			(yyvsp[-1].func_type)->ClearYieldType(zeek::FUNC_FLAVOR_HOOK);
			(yyvsp[-1].func_type)->SetYieldType(zeek::base_type(zeek::TYPE_BOOL));
			zeek::detail::begin_func({zeek::NewRef{}, (yyvsp[-2].id)}, zeek::detail::current_module.c_str(),
				                     zeek::FUNC_FLAVOR_HOOK, 0, {zeek::NewRef{}, (yyvsp[-1].func_type)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[0].attr_l)});
			(yyval.func_type) = (yyvsp[-1].func_type);
			}
#line 3991 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 156:
#line 1246 "parse.y"
    {
			zeek::detail::begin_func({zeek::NewRef{}, (yyvsp[-2].id)}, zeek::detail::current_module.c_str(),
				                     zeek::FUNC_FLAVOR_EVENT, 1, {zeek::NewRef{}, (yyvsp[-1].func_type)},
			                         std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[0].attr_l)});
			(yyval.func_type) = (yyvsp[-1].func_type);
			}
#line 4002 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 157:
#line 1256 "parse.y"
    {
			saved_in_init.push_back(in_init);
			in_init = 0;
			}
#line 4011 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 158:
#line 1262 "parse.y"
    {
			in_init = saved_in_init.back();
			saved_in_init.pop_back();
			}
#line 4020 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 159:
#line 1268 "parse.y"
    {
			zeek::detail::set_location(func_hdr_location, (yylsp[0]));
			zeek::detail::end_func({zeek::AdoptRef{}, (yyvsp[-2].stmt)});
			}
#line 4029 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 160:
#line 1276 "parse.y"
    {
			saved_in_init.push_back(in_init);
			in_init = 0;
			}
#line 4038 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 161:
#line 1282 "parse.y"
    {
			in_init = saved_in_init.back();
			saved_in_init.pop_back();
			}
#line 4047 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 162:
#line 1288 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[0]));

			// Code duplication here is sad but needed. end_func actually instantiates the function
			// and associates it with an ID. We perform that association later and need to return
			// a lambda expression.

			// Gather the ingredients for a BroFunc from the current scope
			auto ingredients = std::make_unique<zeek::detail::function_ingredients>(
				zeek::IntrusivePtr{zeek::NewRef{}, zeek::detail::current_scope()},
				zeek::IntrusivePtr{zeek::AdoptRef{}, (yyvsp[-2].stmt)});
			zeek::IDPList outer_ids = zeek::detail::gather_outer_ids(zeek::detail::pop_scope().get(), ingredients->body.get());

			(yyval.expr) = new zeek::detail::LambdaExpr(std::move(ingredients), std::move(outer_ids));
			}
#line 4067 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 163:
#line 1307 "parse.y"
    { (yyval.expr) = (yyvsp[0].expr); }
#line 4073 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 164:
#line 1312 "parse.y"
    {
			auto id = zeek::detail::current_scope()->GenerateTemporary("anonymous-function");
			zeek::detail::begin_func(id, zeek::detail::current_module.c_str(), zeek::FUNC_FLAVOR_FUNCTION, 0, {zeek::AdoptRef{}, (yyvsp[0].func_type)});
			(yyval.id) = id.release();
			}
#line 4083 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 165:
#line 1321 "parse.y"
    { (yyval.func_type) = new zeek::FuncType({zeek::AdoptRef{}, (yyvsp[-3].record)}, {zeek::AdoptRef{}, (yyvsp[0].type)}, zeek::FUNC_FLAVOR_FUNCTION); }
#line 4089 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 166:
#line 1323 "parse.y"
    { (yyval.func_type) = new zeek::FuncType({zeek::AdoptRef{}, (yyvsp[-1].record)}, zeek::base_type(zeek::TYPE_VOID), zeek::FUNC_FLAVOR_FUNCTION); }
#line 4095 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 167:
#line 1328 "parse.y"
    { (yyval.type) = (yyvsp[0].type); }
#line 4101 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 168:
#line 1330 "parse.y"
    { (yyval.type) = 0; }
#line 4107 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 169:
#line 1334 "parse.y"
    { (yyval.ic) = zeek::detail::INIT_NONE; }
#line 4113 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 170:
#line 1335 "parse.y"
    { (yyval.ic) = zeek::detail::INIT_FULL; }
#line 4119 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 171:
#line 1336 "parse.y"
    { (yyval.ic) = zeek::detail::INIT_EXTRA; }
#line 4125 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 172:
#line 1337 "parse.y"
    { (yyval.ic) = zeek::detail::INIT_REMOVE; }
#line 4131 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 173:
#line 1341 "parse.y"
    { ++in_init; }
#line 4137 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 174:
#line 1341 "parse.y"
    { --in_init; }
#line 4143 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 175:
#line 1342 "parse.y"
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 4149 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 176:
#line 1344 "parse.y"
    { (yyval.expr) = 0; }
#line 4155 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 177:
#line 1349 "parse.y"
    { (yyval.expr) = (yyvsp[-1].list); }
#line 4161 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 178:
#line 1351 "parse.y"
    { (yyval.expr) = (yyvsp[-2].list); }
#line 4167 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 180:
#line 1357 "parse.y"
    {
			zeek::detail::set_location((yylsp[-5]), (yylsp[0]));

			auto low = (yyvsp[-3].expr) ? zeek::detail::ExprPtr{zeek::AdoptRef{}, (yyvsp[-3].expr)} :
			                zeek::make_intrusive<zeek::detail::ConstExpr>(zeek::val_mgr->Count(0));

			auto high = (yyvsp[-1].expr) ? zeek::detail::ExprPtr{zeek::AdoptRef{}, (yyvsp[-1].expr)} :
			                 zeek::make_intrusive<zeek::detail::SizeExpr>(
			                     zeek::detail::ExprPtr{zeek::NewRef{}, (yyvsp[-5].expr)});

			if ( ! zeek::IsIntegral(low->GetType()->Tag()) || ! zeek::IsIntegral(high->GetType()->Tag()) )
				zeek::reporter->Error("slice notation must have integral values as indexes");

			auto le = zeek::make_intrusive<zeek::detail::ListExpr>(std::move(low));
			le->Append(std::move(high));

			if ( in_when_cond > 0  )
				(yyval.expr) = new zeek::detail::IndexExprWhen({zeek::AdoptRef{}, (yyvsp[-5].expr)}, std::move(le), true);
			else
				(yyval.expr) = new zeek::detail::IndexExpr({zeek::AdoptRef{}, (yyvsp[-5].expr)}, std::move(le), true);
			}
#line 4193 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 182:
#line 1382 "parse.y"
    { (yyval.attr_l) = nullptr; }
#line 4199 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 183:
#line 1387 "parse.y"
    { (yyvsp[-1].attr_l)->emplace_back(zeek::AdoptRef{}, (yyvsp[0].attr)); }
#line 4205 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 184:
#line 1389 "parse.y"
    {
			(yyval.attr_l) = new std::vector<zeek::detail::AttrPtr>;
			(yyval.attr_l)->emplace_back(zeek::AdoptRef{}, (yyvsp[0].attr));
			}
#line 4214 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 185:
#line 1397 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_DEFAULT, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4220 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 186:
#line 1399 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_OPTIONAL); }
#line 4226 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 187:
#line 1401 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_REDEF); }
#line 4232 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 188:
#line 1403 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_ADD_FUNC, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4238 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 189:
#line 1405 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_DEL_FUNC, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4244 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 190:
#line 1407 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_ON_CHANGE, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4250 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 191:
#line 1409 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_BROKER_STORE, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4256 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 192:
#line 1411 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_BROKER_STORE_ALLOW_COMPLEX); }
#line 4262 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 193:
#line 1413 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_BACKEND, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4268 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 194:
#line 1415 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_EXPIRE_FUNC, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4274 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 195:
#line 1417 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_EXPIRE_CREATE, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4280 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 196:
#line 1419 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_EXPIRE_READ, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4286 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 197:
#line 1421 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_EXPIRE_WRITE, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4292 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 198:
#line 1423 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_RAW_OUTPUT); }
#line 4298 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 199:
#line 1425 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_PRIORITY, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4304 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 200:
#line 1427 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_TYPE_COLUMN, {zeek::AdoptRef{}, (yyvsp[0].expr)}); }
#line 4310 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 201:
#line 1429 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_LOG); }
#line 4316 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 202:
#line 1431 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_ERROR_HANDLER); }
#line 4322 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 203:
#line 1433 "parse.y"
    { (yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_DEPRECATED); }
#line 4328 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 204:
#line 1435 "parse.y"
    {
			if ( zeek::IsString((yyvsp[0].val)->GetType()->Tag()) )
				(yyval.attr) = new zeek::detail::Attr(
					zeek::detail::ATTR_DEPRECATED,
					zeek::make_intrusive<zeek::detail::ConstExpr>(zeek::IntrusivePtr{zeek::AdoptRef{}, (yyvsp[0].val)}));
			else
				{
				zeek::ODesc d;
				(yyvsp[0].val)->Describe(&d);
				Unref((yyvsp[0].val));
				zeek::reporter->Error("'&deprecated=%s' must use a string literal",
				                      d.Description());
				(yyval.attr) = new zeek::detail::Attr(zeek::detail::ATTR_DEPRECATED);
				}
			}
#line 4348 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 205:
#line 1454 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			(yyval.stmt) = (yyvsp[-1].stmt);
			if ( (yyvsp[-2].b) )
			    zeek::detail::script_coverage_mgr.DecIgnoreDepth();
			}
#line 4359 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 206:
#line 1462 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::PrintStmt(zeek::IntrusivePtr{zeek::AdoptRef{}, (yyvsp[-2].list)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4370 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 207:
#line 1470 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::EventStmt({zeek::AdoptRef{}, (yyvsp[-2].event_expr)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4381 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 208:
#line 1478 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::IfStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].stmt)}, zeek::make_intrusive<zeek::detail::NullStmt>());
			}
#line 4390 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 209:
#line 1484 "parse.y"
    {
			zeek::detail::set_location((yylsp[-6]), (yylsp[-3]));
			(yyval.stmt) = new zeek::detail::IfStmt({zeek::AdoptRef{}, (yyvsp[-4].expr)}, {zeek::AdoptRef{}, (yyvsp[-2].stmt)}, {zeek::AdoptRef{}, (yyvsp[0].stmt)});
			}
#line 4399 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 210:
#line 1490 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[-3]));
			(yyval.stmt) = new zeek::detail::SwitchStmt({zeek::AdoptRef{}, (yyvsp[-3].expr)}, (yyvsp[-1].case_l));
			}
#line 4408 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 211:
#line 1496 "parse.y"
    {
			(yyvsp[-1].stmt)->AsForStmt()->AddBody({zeek::AdoptRef{}, (yyvsp[0].stmt)});
			}
#line 4416 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 212:
#line 1501 "parse.y"
    {
			(yyval.stmt) = new zeek::detail::WhileStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].stmt)});
			}
#line 4424 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 213:
#line 1506 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::NextStmt;
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4435 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 214:
#line 1514 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::BreakStmt;
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4446 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 215:
#line 1522 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::FallthroughStmt;
			if ( ! (yyvsp[0].b) )
				zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4457 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 216:
#line 1530 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::ReturnStmt(0);
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4468 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 217:
#line 1538 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-2]));
			(yyval.stmt) = new zeek::detail::ReturnStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4479 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 218:
#line 1546 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::AddStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4490 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 219:
#line 1554 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::DelStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4501 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 220:
#line 1562 "parse.y"
    {
			zeek::detail::set_location((yylsp[-7]), (yylsp[-1]));
			(yyval.stmt) = zeek::detail::add_local({zeek::AdoptRef{}, (yyvsp[-6].id)}, {zeek::AdoptRef{}, (yyvsp[-5].type)}, (yyvsp[-4].ic),
			                             {zeek::AdoptRef{}, (yyvsp[-3].expr)},
			                             std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-2].attr_l)},
			                             zeek::detail::VAR_REGULAR).release();
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4515 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 221:
#line 1573 "parse.y"
    {
			zeek::detail::set_location((yylsp[-7]), (yylsp[-2]));
			(yyval.stmt) = zeek::detail::add_local({zeek::AdoptRef{}, (yyvsp[-6].id)}, {zeek::AdoptRef{}, (yyvsp[-5].type)}, (yyvsp[-4].ic),
			                             {zeek::AdoptRef{}, (yyvsp[-3].expr)},
			                             std::unique_ptr<std::vector<zeek::detail::AttrPtr>>{(yyvsp[-2].attr_l)},
			                             zeek::detail::VAR_CONST).release();
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4529 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 222:
#line 1584 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.stmt) = new zeek::detail::WhenStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].stmt)},
			                                  nullptr, nullptr, false);
			}
#line 4539 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 223:
#line 1591 "parse.y"
    {
			zeek::detail::set_location((yylsp[-8]), (yylsp[-2]));
			(yyval.stmt) = new zeek::detail::WhenStmt({zeek::AdoptRef{}, (yyvsp[-8].expr)}, {zeek::AdoptRef{}, (yyvsp[-6].stmt)},
			                                  {zeek::AdoptRef{}, (yyvsp[-1].stmt)}, {zeek::AdoptRef{}, (yyvsp[-4].expr)}, false);
			if ( (yyvsp[-2].b) )
			    zeek::detail::script_coverage_mgr.DecIgnoreDepth();
			}
#line 4551 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 224:
#line 1601 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[0]));
			(yyval.stmt) = new zeek::detail::WhenStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)}, {zeek::AdoptRef{}, (yyvsp[0].stmt)}, nullptr,
			                  nullptr, true);
			}
#line 4561 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 225:
#line 1608 "parse.y"
    {
			zeek::detail::set_location((yylsp[-8]), (yylsp[-2]));
			(yyval.stmt) = new zeek::detail::WhenStmt({zeek::AdoptRef{}, (yyvsp[-8].expr)}, {zeek::AdoptRef{}, (yyvsp[-6].stmt)},
			                                  {zeek::AdoptRef{}, (yyvsp[-1].stmt)}, {zeek::AdoptRef{}, (yyvsp[-4].expr)}, true);
			if ( (yyvsp[-2].b) )
			    zeek::detail::script_coverage_mgr.DecIgnoreDepth();
			}
#line 4573 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 226:
#line 1617 "parse.y"
    {
			zeek::detail::set_location((yylsp[-4]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::ExprStmt(zeek::detail::get_assign_expr({zeek::AdoptRef{}, (yyvsp[-4].expr)},
			                                  {zeek::AdoptRef{}, (yyvsp[-2].expr)}, in_init));

			if ( ! (yyvsp[0].b) )
				zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4586 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 227:
#line 1627 "parse.y"
    {
			zeek::detail::set_location((yylsp[-2]), (yylsp[-1]));
			(yyval.stmt) = new zeek::detail::ExprStmt({zeek::AdoptRef{}, (yyvsp[-2].expr)});
			if ( ! (yyvsp[0].b) )
			    zeek::detail::script_coverage_mgr.AddStmt((yyval.stmt));
			}
#line 4597 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 228:
#line 1635 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]), (yylsp[0]));
			(yyval.stmt) = new zeek::detail::NullStmt;
			}
#line 4606 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 229:
#line 1641 "parse.y"
    { (yyval.stmt) = new zeek::detail::NullStmt; }
#line 4612 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 230:
#line 1646 "parse.y"
    {
			zeek::detail::set_location((yylsp[-1]), (yylsp[0]));
			(yyvsp[-1].stmt)->AsStmtList()->Stmts().push_back((yyvsp[0].stmt));
			(yyvsp[-1].stmt)->UpdateLocationEndInfo((yylsp[0]));
			}
#line 4622 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 231:
#line 1652 "parse.y"
    { (yyval.stmt) = new zeek::detail::StmtList(); }
#line 4628 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 232:
#line 1657 "parse.y"
    {
			zeek::detail::set_location((yylsp[-3]), (yylsp[0]));
			const auto& id = zeek::detail::lookup_ID((yyvsp[-3].str), zeek::detail::current_module.c_str());

			if ( id )
				{
				if ( ! id->IsGlobal() )
					{
					yyerror(zeek::util::fmt("local identifier \"%s\" cannot be used to reference an event", (yyvsp[-3].str)));
					YYERROR;
					}

				if ( id->IsDeprecated() )
					zeek::reporter->Warning("%s", id->GetDeprecationWarning().c_str());
				}

			(yyval.event_expr) = new zeek::detail::EventExpr((yyvsp[-3].str), {zeek::AdoptRef{}, (yyvsp[-1].list)});
			}
#line 4651 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 233:
#line 1679 "parse.y"
    { (yyvsp[-1].case_l)->push_back((yyvsp[0].c_case)); }
#line 4657 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 234:
#line 1681 "parse.y"
    { (yyval.case_l) = new zeek::detail::case_list; }
#line 4663 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 235:
#line 1686 "parse.y"
    { (yyval.c_case) = new zeek::detail::Case({zeek::AdoptRef{}, (yyvsp[-2].list)}, nullptr, {zeek::AdoptRef{}, (yyvsp[0].stmt)}); }
#line 4669 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 236:
#line 1689 "parse.y"
    { (yyval.c_case) = new zeek::detail::Case(nullptr, (yyvsp[-2].id_l), {zeek::AdoptRef{}, (yyvsp[0].stmt)}); }
#line 4675 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 237:
#line 1692 "parse.y"
    { (yyval.c_case) = new zeek::detail::Case(nullptr, nullptr, {zeek::AdoptRef{}, (yyvsp[0].stmt)}); }
#line 4681 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 238:
#line 1697 "parse.y"
    { (yyvsp[-2].id_l)->push_back((yyvsp[0].id)); }
#line 4687 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 239:
#line 1700 "parse.y"
    {
			(yyval.id_l) = new zeek::IDPList;
			(yyval.id_l)->push_back((yyvsp[0].id));
			}
#line 4696 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 240:
#line 1708 "parse.y"
    {
			(yyval.id) = new zeek::detail::ID(0, zeek::detail::SCOPE_FUNCTION, 0);
			(yyval.id)->SetType({zeek::AdoptRef{}, (yyvsp[0].type)});
			}
#line 4705 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 241:
#line 1714 "parse.y"
    {
			const char* name = (yyvsp[0].str);
			zeek::TypePtr type{zeek::AdoptRef{}, (yyvsp[-2].type)};
			auto case_var = zeek::detail::lookup_ID(name, zeek::detail::current_module.c_str());

			if ( case_var && case_var->IsGlobal() )
				case_var->Error("already a global identifier");
			else
				case_var = zeek::detail::install_ID(name, zeek::detail::current_module.c_str(), false, false);

			zeek::detail::add_local(case_var, std::move(type), zeek::detail::INIT_NONE, nullptr, nullptr,
			                        zeek::detail::VAR_REGULAR);
			(yyval.id) = case_var.release();
			}
#line 4724 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 242:
#line 1731 "parse.y"
    {
			zeek::detail::set_location((yylsp[-5]), (yylsp[0]));

			// This rule needs to be separate from the loop
			// body so that we execute these actions - defining
			// the local variable - prior to parsing the body,
			// which might refer to the variable.
			auto loop_var = zeek::detail::lookup_ID((yyvsp[-3].str), zeek::detail::current_module.c_str());

			if ( loop_var )
				{
				if ( loop_var->IsGlobal() )
					loop_var->Error("global variable used in for loop");
				}

			else
				{
				loop_var = zeek::detail::install_ID((yyvsp[-3].str), zeek::detail::current_module.c_str(),
				                                    false, false);
				}

			auto* loop_vars = new zeek::IDPList;
			loop_vars->push_back(loop_var.release());

			(yyval.stmt) = new zeek::detail::ForStmt(loop_vars, {zeek::AdoptRef{}, (yyvsp[-1].expr)});
			}
#line 4755 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 243:
#line 1759 "parse.y"
    {
			(yyval.stmt) = new zeek::detail::ForStmt((yyvsp[-4].id_l), {zeek::AdoptRef{}, (yyvsp[-1].expr)});
			}
#line 4763 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 244:
#line 1764 "parse.y"
    {
			zeek::detail::set_location((yylsp[-7]), (yylsp[0]));
			const char* module = zeek::detail::current_module.c_str();

			// Check for previous definitions of key and
			// value variables.
			auto key_var = zeek::detail::lookup_ID((yyvsp[-5].str), module);
			auto val_var = zeek::detail::lookup_ID((yyvsp[-3].str), module);

			// Validate previous definitions as needed.
			if ( key_var )
				{
				if ( key_var->IsGlobal() )
					key_var->Error("global variable used in for loop");
				}
			else
				key_var = zeek::detail::install_ID((yyvsp[-5].str), module, false, false);

			if ( val_var )
				{
				if ( val_var->IsGlobal() )
					val_var->Error("global variable used in for loop");
				}
			else
				val_var = zeek::detail::install_ID((yyvsp[-3].str), module, false, false);

			auto* loop_vars = new zeek::IDPList;
			loop_vars->push_back(key_var.release());

			(yyval.stmt) = new zeek::detail::ForStmt(loop_vars, {zeek::AdoptRef{}, (yyvsp[-1].expr)}, std::move(val_var));
			}
#line 4799 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 245:
#line 1797 "parse.y"
    {
			zeek::detail::set_location((yylsp[-9]), (yylsp[0]));
			const char* module = zeek::detail::current_module.c_str();

			// Validate value variable
			auto val_var = zeek::detail::lookup_ID((yyvsp[-3].str), module);

			if ( val_var )
				{
				if ( val_var->IsGlobal() )
					val_var->Error("global variable used in for loop");
				}
			else
				val_var = zeek::detail::install_ID((yyvsp[-3].str), module, false, false);

			(yyval.stmt) = new zeek::detail::ForStmt((yyvsp[-6].id_l), {zeek::AdoptRef{}, (yyvsp[-1].expr)}, std::move(val_var));
			}
#line 4821 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 246:
#line 1818 "parse.y"
    { (yyvsp[-2].id_l)->push_back((yyvsp[0].id)); }
#line 4827 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 247:
#line 1820 "parse.y"
    {
			(yyval.id_l) = new zeek::IDPList;
			(yyval.id_l)->push_back((yyvsp[0].id));
			}
#line 4836 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 248:
#line 1828 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			auto id = zeek::detail::lookup_ID((yyvsp[0].str), zeek::detail::current_module.c_str());
			(yyval.id) = id.release();

			if ( (yyval.id) )
				{
				if ( (yyval.id)->IsGlobal() )
					(yyval.id)->Error("already a global identifier");
				delete [] (yyvsp[0].str);
				}

			else
				{
				(yyval.id) = zeek::detail::install_ID((yyvsp[0].str), zeek::detail::current_module.c_str(),
				                              false, is_export).release();
				}
			}
#line 4859 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 249:
#line 1849 "parse.y"
    { resolving_global_ID = 1; }
#line 4865 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 250:
#line 1850 "parse.y"
    { (yyval.id) = (yyvsp[0].id); }
#line 4871 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 251:
#line 1854 "parse.y"
    { defining_global_ID = 1; }
#line 4877 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 252:
#line 1854 "parse.y"
    { defining_global_ID = 0; }
#line 4883 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 253:
#line 1855 "parse.y"
    { (yyval.id) = (yyvsp[-1].id); }
#line 4889 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 254:
#line 1859 "parse.y"
    { resolving_global_ID = 0; }
#line 4895 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 255:
#line 1860 "parse.y"
    { (yyval.id) = (yyvsp[0].id); }
#line 4901 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 256:
#line 1865 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			auto id = zeek::detail::lookup_ID((yyvsp[0].str), zeek::detail::current_module.c_str(), false,
			                    defining_global_ID);
			(yyval.id) = id.release();

			if ( (yyval.id) )
				{
				if ( ! (yyval.id)->IsGlobal() )
					(yyval.id)->Error("already a local identifier");

				if ( (yyval.id)->IsDeprecated() )
					{
					const auto& t = (yyval.id)->GetType();

					if ( t->Tag() != zeek::TYPE_FUNC ||
					     t->AsFuncType()->Flavor() != zeek::FUNC_FLAVOR_FUNCTION )
						zeek::reporter->Warning("%s", (yyval.id)->GetDeprecationWarning().c_str());
					}

				delete [] (yyvsp[0].str);
				}

			else
				{
				const char* module_name =
					resolving_global_ID ?
						zeek::detail::current_module.c_str() : 0;

				(yyval.id) = zeek::detail::install_ID((yyvsp[0].str), module_name,
				                              true, is_export).release();
				}
			}
#line 4939 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 257:
#line 1903 "parse.y"
    {
			zeek::detail::set_location((yylsp[0]));
			auto id = zeek::detail::lookup_ID((yyvsp[0].str), zeek::detail::current_module.c_str());
			(yyval.id) = id.release();

			if ( ! (yyval.id) )
				zeek::reporter->Error("identifier not defined: %s", (yyvsp[0].str));

			delete [] (yyvsp[0].str);
			}
#line 4954 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 258:
#line 1917 "parse.y"
    { (yyval.b) = true; }
#line 4960 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 259:
#line 1919 "parse.y"
    { (yyval.b) = false; }
#line 4966 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 260:
#line 1923 "parse.y"
    { (yyval.b) = true; zeek::detail::script_coverage_mgr.IncIgnoreDepth(); }
#line 4972 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 261:
#line 1925 "parse.y"
    { (yyval.b) = false; }
#line 4978 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 262:
#line 1929 "parse.y"
    { (yyval.expr) = new zeek::detail::ConstExpr(zeek::make_intrusive<zeek::StringVal>("")); }
#line 4984 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 263:
#line 1932 "parse.y"
    {
			if ( zeek::IsString((yyvsp[0].val)->GetType()->Tag()) )
				(yyval.expr) = new zeek::detail::ConstExpr({zeek::AdoptRef{}, (yyvsp[0].val)});
			else
				{
				zeek::ODesc d;
				(yyvsp[0].val)->Describe(&d);
				zeek::reporter->Error("'&deprecated=%s' must use a string literal",
				                      d.Description());
				(yyval.expr) = new zeek::detail::ConstExpr(zeek::make_intrusive<zeek::StringVal>(""));
				}
			}
#line 5001 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;

  case 264:
#line 1945 "parse.y"
    { (yyval.expr) = nullptr; }
#line 5007 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"
    break;


#line 5011 "/home/repoman/rpmbuild/BUILD/zeek-4.0.1/build/src/p.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 1947 "parse.y"


int yyerror(const char msg[])
	{
	if ( in_debug )
		g_curr_debug_error = zeek::util::copy_string(msg);

	if ( last_tok[0] == '\n' )
		zeek::reporter->Error("%s, on previous line", msg);
	else if ( last_tok[0] == '\0' )
		{
		if ( last_filename )
			zeek::reporter->Error("%s, at end of file %s", msg, last_filename);
		else
			zeek::reporter->Error("%s, at end of file", msg);
		}
	else
		{
		if ( last_last_tok_filename && last_tok_filename &&
		     ! zeek::util::streq(last_last_tok_filename, last_tok_filename) )
			zeek::reporter->Error("%s, at or near \"%s\" or end of file %s",
			                      msg, last_tok, last_last_tok_filename);
		else
			zeek::reporter->Error("%s, at or near \"%s\"", msg, last_tok);
		}

	return 0;
	}
